summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--git/binutils_rev2
-rw-r--r--git/gcc_rev2
-rw-r--r--git/gdb_rev2
-rw-r--r--git/glibc_rev2
-rw-r--r--git/linux_rev2
-rw-r--r--jenkins/build-name2
-rw-r--r--jenkins/notify-full.log334
-rw-r--r--jenkins/notify-init.log108
-rw-r--r--jenkins/rewrite.log20
-rw-r--r--jenkins/run-build.env6
-rw-r--r--manifest.sh6
-rw-r--r--notify/jira/comment-template.txt2
-rw-r--r--notify/lnt_report.json18
-rw-r--r--notify/mail-body.txt67
-rw-r--r--notify/mail-subject.txt2
-rw-r--r--notify/results.compare114
-rw-r--r--sumfiles/flaky.xfail7
-rw-r--r--sumfiles/gdb.sum75
-rw-r--r--sumfiles/xfails.xfail8
19 files changed, 422 insertions, 357 deletions
diff --git a/git/binutils_rev b/git/binutils_rev
index e71a83f..6fc268f 100644
--- a/git/binutils_rev
+++ b/git/binutils_rev
@@ -1 +1 @@
-d7680f13df105aa8fa0edbdf8efae31a5411f579
+0a43fbaa23a5eaf4254a51fa43ef61a6e28c9bd6
diff --git a/git/gcc_rev b/git/gcc_rev
index a89950b..22950d4 100644
--- a/git/gcc_rev
+++ b/git/gcc_rev
@@ -1 +1 @@
-62b29347c38394ae32858f2301aa9aa65205984e
+e6413b5dc5b786391802368207ec86945eef2ae0
diff --git a/git/gdb_rev b/git/gdb_rev
index e71a83f..6fc268f 100644
--- a/git/gdb_rev
+++ b/git/gdb_rev
@@ -1 +1 @@
-d7680f13df105aa8fa0edbdf8efae31a5411f579
+0a43fbaa23a5eaf4254a51fa43ef61a6e28c9bd6
diff --git a/git/glibc_rev b/git/glibc_rev
index 42f14cb..36aac88 100644
--- a/git/glibc_rev
+++ b/git/glibc_rev
@@ -1 +1 @@
-bd77dd7e73e3530203be1c52c8a29d08270cb25d
+780adf7aeab9308c02d89260df6ffa84dc2289a5
diff --git a/git/linux_rev b/git/linux_rev
index 0656da7..8cf3270 100644
--- a/git/linux_rev
+++ b/git/linux_rev
@@ -1 +1 @@
-aed8aee11130a954356200afa3f1b8753e8a9482
+9fdfb15a3dbf818e06be514f4abbfc071004cbe7
diff --git a/jenkins/build-name b/jenkins/build-name
index 258d0e9..f910815 100644
--- a/jenkins/build-name
+++ b/jenkins/build-name
@@ -1 +1 @@
-#677-binutils-gcc-gdb-glibc-linux-R0
+#678-binutils-gcc-gdb-glibc-linux-R0
diff --git a/jenkins/notify-full.log b/jenkins/notify-full.log
index e80f868..cf26656 100644
--- a/jenkins/notify-full.log
+++ b/jenkins/notify-full.log
@@ -1,25 +1,25 @@
++ pwd
++ cat
-+ remote_exec tcwg-snow-02::/home/tcwg-buildslave/workspace/tcwg_gnu_1:-p34674: ./jenkins-scripts/round-robin-notify.sh '@@rr[top_artifacts]' artifacts __TCWG_JIRA_TOKEN ijQW9spm0p7HwZnUtLFx7CCA __stage full __verbose true __build_script tcwg_gnu-build.sh
++ remote_exec tcwg-snow-02::/home/tcwg-buildslave/workspace/tcwg_gnu_2:-p34827: ./jenkins-scripts/round-robin-notify.sh '@@rr[top_artifacts]' artifacts __TCWG_JIRA_TOKEN ijQW9spm0p7HwZnUtLFx7CCA __stage full __verbose true __build_script tcwg_gnu-build.sh
+ set -euf -o pipefail
+ local host
-++ echo tcwg-snow-02::/home/tcwg-buildslave/workspace/tcwg_gnu_1:-p34674:
+++ echo tcwg-snow-02::/home/tcwg-buildslave/workspace/tcwg_gnu_2:-p34827:
++ cut -d: -f 1
+ host=tcwg-snow-02
+ local port
-++ echo tcwg-snow-02::/home/tcwg-buildslave/workspace/tcwg_gnu_1:-p34674:
+++ echo tcwg-snow-02::/home/tcwg-buildslave/workspace/tcwg_gnu_2:-p34827:
++ cut -s -d: -f 2
+ port=
+ local dir
-++ echo tcwg-snow-02::/home/tcwg-buildslave/workspace/tcwg_gnu_1:-p34674:
+++ echo tcwg-snow-02::/home/tcwg-buildslave/workspace/tcwg_gnu_2:-p34827:
++ cut -s -d: -f 3
-+ dir=/home/tcwg-buildslave/workspace/tcwg_gnu_1
++ dir=/home/tcwg-buildslave/workspace/tcwg_gnu_2
+ local opts
-++ echo tcwg-snow-02::/home/tcwg-buildslave/workspace/tcwg_gnu_1:-p34674:
+++ echo tcwg-snow-02::/home/tcwg-buildslave/workspace/tcwg_gnu_2:-p34827:
++ cut -s -d: -f 4
-+ opts=-p34674
++ opts=-p34827
+ local env_vars
-++ echo tcwg-snow-02::/home/tcwg-buildslave/workspace/tcwg_gnu_1:-p34674:
+++ echo tcwg-snow-02::/home/tcwg-buildslave/workspace/tcwg_gnu_2:-p34827:
++ cut -s -d: -f 5
+ env_vars=
+ shift
@@ -58,10 +58,10 @@
+ for i in "$@"
+ cmd+=("$(printf '%q' "$i")")
++ printf %q tcwg_gnu-build.sh
-++ printf %q /home/tcwg-buildslave/workspace/tcwg_gnu_1
-+ ssh -p34674 tcwg-snow-02 'cd /home/tcwg-buildslave/workspace/tcwg_gnu_1 && exec ./jenkins-scripts/round-robin-notify.sh @@rr\[top_artifacts\] artifacts __TCWG_JIRA_TOKEN ijQW9spm0p7HwZnUtLFx7CCA __stage full __verbose true __build_script tcwg_gnu-build.sh'
+++ printf %q /home/tcwg-buildslave/workspace/tcwg_gnu_2
++ ssh -p34827 tcwg-snow-02 'cd /home/tcwg-buildslave/workspace/tcwg_gnu_2 && exec ./jenkins-scripts/round-robin-notify.sh @@rr\[top_artifacts\] artifacts __TCWG_JIRA_TOKEN ijQW9spm0p7HwZnUtLFx7CCA __stage full __verbose true __build_script tcwg_gnu-build.sh'
-/home/tcwg-buildslave/workspace/tcwg_gnu_1/jenkins-scripts/round-robin-notify.sh @@rr[top_artifacts] artifacts __TCWG_JIRA_TOKEN ijQW9spm0p7HwZnUtLFx7CCA __stage full __verbose true __build_script tcwg_gnu-build.sh
+/home/tcwg-buildslave/workspace/tcwg_gnu_2/jenkins-scripts/round-robin-notify.sh @@rr[top_artifacts] artifacts __TCWG_JIRA_TOKEN ijQW9spm0p7HwZnUtLFx7CCA __stage full __verbose true __build_script tcwg_gnu-build.sh
+ false
+ dryrun=
@@ -81,23 +81,23 @@
++ get_current_manifest '{rr[ci_config]}'
++ get_manifest artifacts/manifest.sh '{rr[ci_config]}'
++ set +x
-+ ci_config=master-aarch64
# Debug traces :
++ ci_config=master-aarch64
+ echo '# Debug traces :'
++ get_baseline_manifest BUILD_URL
++ get_manifest base-artifacts/manifest.sh BUILD_URL false
++ set +x
-# Baseline : https://ci.linaro.org/job/tcwg_gnu_native_check_gdb--master-aarch64-build/676/
+# Baseline : https://ci.linaro.org/job/tcwg_gnu_native_check_gdb--master-aarch64-build/677/
++ echo '# Baseline : https://ci.linaro.org/job/tcwg_gnu_native_check_gdb--master-aarch64-build/677/'
# Using dir : base-artifacts
-+ echo '# Baseline : https://ci.linaro.org/job/tcwg_gnu_native_check_gdb--master-aarch64-build/676/'
+ echo '# Using dir : base-artifacts'
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-# Artifacts : https://ci.linaro.org/job/tcwg_gnu_native_check_gdb--master-aarch64-build/677/
+# Artifacts : https://ci.linaro.org/job/tcwg_gnu_native_check_gdb--master-aarch64-build/678/
++ echo '# Artifacts : https://ci.linaro.org/job/tcwg_gnu_native_check_gdb--master-aarch64-build/678/'
# Using dir : artifacts
-+ echo '# Artifacts : https://ci.linaro.org/job/tcwg_gnu_native_check_gdb--master-aarch64-build/677/'
+ echo '# Using dir : artifacts'
+ echo ''
+ mkdir -p artifacts/notify
@@ -153,7 +153,7 @@
+++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/binutils_rev
-++ '[' xd7680f13df105aa8fa0edbdf8efae31a5411f579 '!=' xbc92a20a84ee4c458cd4d3e1dad0960f0349b07f ']'
+++ '[' x0a43fbaa23a5eaf4254a51fa43ef61a6e28c9bd6 '!=' xd7680f13df105aa8fa0edbdf8efae31a5411f579 ']'
++ echo -ne binutils
++ delim=' '
++ for c in $(print_updated_components)
@@ -168,7 +168,7 @@
+++ assert_with_msg 'ERROR: No gcc_rev in baseline git' '[' -f base-artifacts/git/gcc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/gcc_rev
-++ '[' x62b29347c38394ae32858f2301aa9aa65205984e '!=' x92ea12ea99fce546772a40b7bbc2ea850db9b1be ']'
+++ '[' xe6413b5dc5b786391802368207ec86945eef2ae0 '!=' x62b29347c38394ae32858f2301aa9aa65205984e ']'
++ echo -ne ' gcc'
++ delim=' '
++ for c in $(print_updated_components)
@@ -183,7 +183,7 @@
+++ assert_with_msg 'ERROR: No linux_rev in baseline git' '[' -f base-artifacts/git/linux_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/linux_rev
-++ '[' xaed8aee11130a954356200afa3f1b8753e8a9482 '!=' x3669558bdf354cd352be955ef2764cde6a9bf5ec ']'
+++ '[' x9fdfb15a3dbf818e06be514f4abbfc071004cbe7 '!=' xaed8aee11130a954356200afa3f1b8753e8a9482 ']'
++ echo -ne ' linux'
++ delim=' '
++ for c in $(print_updated_components)
@@ -198,7 +198,7 @@
+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/glibc_rev
-++ '[' xbd77dd7e73e3530203be1c52c8a29d08270cb25d '!=' x72511f539cc34681ec61c6a0dc2fe6d684760ffe ']'
+++ '[' x780adf7aeab9308c02d89260df6ffa84dc2289a5 '!=' xbd77dd7e73e3530203be1c52c8a29d08270cb25d ']'
++ echo -ne ' glibc'
++ delim=' '
++ for c in $(print_updated_components)
@@ -213,7 +213,7 @@
+++ assert_with_msg 'ERROR: No gdb_rev in baseline git' '[' -f base-artifacts/git/gdb_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/gdb_rev
-++ '[' xd7680f13df105aa8fa0edbdf8efae31a5411f579 '!=' x38cc67cc00dc7385991e2658a1b4213d5ba3c4f0 ']'
+++ '[' x0a43fbaa23a5eaf4254a51fa43ef61a6e28c9bd6 '!=' xd7680f13df105aa8fa0edbdf8efae31a5411f579 ']'
++ echo -ne ' gdb'
++ delim=' '
++ echo
@@ -233,17 +233,17 @@
++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/binutils_rev
-+ base_rev=bc92a20a84ee4c458cd4d3e1dad0960f0349b07f
++ base_rev=d7680f13df105aa8fa0edbdf8efae31a5411f579
++ get_current_git binutils_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No binutils_rev in current git' '[' -f artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/binutils_rev
-+ cur_rev=d7680f13df105aa8fa0edbdf8efae31a5411f579
-++ git -C binutils rev-list --count bc92a20a84ee4c458cd4d3e1dad0960f0349b07f..d7680f13df105aa8fa0edbdf8efae31a5411f579
-+ c_commits=7
-# rev for binutils : bc92a20a84ee4c458cd4d3e1dad0960f0349b07f..d7680f13df105aa8fa0edbdf8efae31a5411f579 (7 commits)
-+ echo '# rev for binutils : bc92a20a84ee4c458cd4d3e1dad0960f0349b07f..d7680f13df105aa8fa0edbdf8efae31a5411f579 (7 commits)'
++ cur_rev=0a43fbaa23a5eaf4254a51fa43ef61a6e28c9bd6
+++ git -C binutils rev-list --count d7680f13df105aa8fa0edbdf8efae31a5411f579..0a43fbaa23a5eaf4254a51fa43ef61a6e28c9bd6
++ c_commits=14
++ echo '# rev for binutils : d7680f13df105aa8fa0edbdf8efae31a5411f579..0a43fbaa23a5eaf4254a51fa43ef61a6e28c9bd6 (14 commits)'
+# rev for binutils : d7680f13df105aa8fa0edbdf8efae31a5411f579..0a43fbaa23a5eaf4254a51fa43ef61a6e28c9bd6 (14 commits)
+ for c in "${changed_components[@]}"
++ get_baseline_git gcc_rev
++ set -euf -o pipefail
@@ -251,17 +251,17 @@
++ assert_with_msg 'ERROR: No gcc_rev in baseline git' '[' -f base-artifacts/git/gcc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/gcc_rev
-+ base_rev=92ea12ea99fce546772a40b7bbc2ea850db9b1be
++ base_rev=62b29347c38394ae32858f2301aa9aa65205984e
++ get_current_git gcc_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No gcc_rev in current git' '[' -f artifacts/git/gcc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/gcc_rev
-+ cur_rev=62b29347c38394ae32858f2301aa9aa65205984e
-++ git -C gcc rev-list --count 92ea12ea99fce546772a40b7bbc2ea850db9b1be..62b29347c38394ae32858f2301aa9aa65205984e
-+ c_commits=64
-# rev for gcc : 92ea12ea99fce546772a40b7bbc2ea850db9b1be..62b29347c38394ae32858f2301aa9aa65205984e (64 commits)
-+ echo '# rev for gcc : 92ea12ea99fce546772a40b7bbc2ea850db9b1be..62b29347c38394ae32858f2301aa9aa65205984e (64 commits)'
++ cur_rev=e6413b5dc5b786391802368207ec86945eef2ae0
+++ git -C gcc rev-list --count 62b29347c38394ae32858f2301aa9aa65205984e..e6413b5dc5b786391802368207ec86945eef2ae0
++ c_commits=34
+# rev for gcc : 62b29347c38394ae32858f2301aa9aa65205984e..e6413b5dc5b786391802368207ec86945eef2ae0 (34 commits)
++ echo '# rev for gcc : 62b29347c38394ae32858f2301aa9aa65205984e..e6413b5dc5b786391802368207ec86945eef2ae0 (34 commits)'
+ for c in "${changed_components[@]}"
++ get_baseline_git linux_rev
++ set -euf -o pipefail
@@ -269,17 +269,17 @@
++ assert_with_msg 'ERROR: No linux_rev in baseline git' '[' -f base-artifacts/git/linux_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/linux_rev
-+ base_rev=3669558bdf354cd352be955ef2764cde6a9bf5ec
++ base_rev=aed8aee11130a954356200afa3f1b8753e8a9482
++ get_current_git linux_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No linux_rev in current git' '[' -f artifacts/git/linux_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/linux_rev
-+ cur_rev=aed8aee11130a954356200afa3f1b8753e8a9482
-++ git -C linux rev-list --count 3669558bdf354cd352be955ef2764cde6a9bf5ec..aed8aee11130a954356200afa3f1b8753e8a9482
-+ c_commits=39
-# rev for linux : 3669558bdf354cd352be955ef2764cde6a9bf5ec..aed8aee11130a954356200afa3f1b8753e8a9482 (39 commits)
-+ echo '# rev for linux : 3669558bdf354cd352be955ef2764cde6a9bf5ec..aed8aee11130a954356200afa3f1b8753e8a9482 (39 commits)'
++ cur_rev=9fdfb15a3dbf818e06be514f4abbfc071004cbe7
+++ git -C linux rev-list --count aed8aee11130a954356200afa3f1b8753e8a9482..9fdfb15a3dbf818e06be514f4abbfc071004cbe7
++ c_commits=43
+# rev for linux : aed8aee11130a954356200afa3f1b8753e8a9482..9fdfb15a3dbf818e06be514f4abbfc071004cbe7 (43 commits)
++ echo '# rev for linux : aed8aee11130a954356200afa3f1b8753e8a9482..9fdfb15a3dbf818e06be514f4abbfc071004cbe7 (43 commits)'
+ for c in "${changed_components[@]}"
++ get_baseline_git glibc_rev
++ set -euf -o pipefail
@@ -287,17 +287,17 @@
++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/glibc_rev
-+ base_rev=72511f539cc34681ec61c6a0dc2fe6d684760ffe
++ base_rev=bd77dd7e73e3530203be1c52c8a29d08270cb25d
++ get_current_git glibc_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/glibc_rev
-+ cur_rev=bd77dd7e73e3530203be1c52c8a29d08270cb25d
-++ git -C glibc rev-list --count 72511f539cc34681ec61c6a0dc2fe6d684760ffe..bd77dd7e73e3530203be1c52c8a29d08270cb25d
-+ c_commits=2
-# rev for glibc : 72511f539cc34681ec61c6a0dc2fe6d684760ffe..bd77dd7e73e3530203be1c52c8a29d08270cb25d (2 commits)
-+ echo '# rev for glibc : 72511f539cc34681ec61c6a0dc2fe6d684760ffe..bd77dd7e73e3530203be1c52c8a29d08270cb25d (2 commits)'
++ cur_rev=780adf7aeab9308c02d89260df6ffa84dc2289a5
+++ git -C glibc rev-list --count bd77dd7e73e3530203be1c52c8a29d08270cb25d..780adf7aeab9308c02d89260df6ffa84dc2289a5
++ c_commits=6
+# rev for glibc : bd77dd7e73e3530203be1c52c8a29d08270cb25d..780adf7aeab9308c02d89260df6ffa84dc2289a5 (6 commits)
++ echo '# rev for glibc : bd77dd7e73e3530203be1c52c8a29d08270cb25d..780adf7aeab9308c02d89260df6ffa84dc2289a5 (6 commits)'
+ for c in "${changed_components[@]}"
++ get_baseline_git gdb_rev
++ set -euf -o pipefail
@@ -305,18 +305,18 @@
++ assert_with_msg 'ERROR: No gdb_rev in baseline git' '[' -f base-artifacts/git/gdb_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/gdb_rev
-+ base_rev=38cc67cc00dc7385991e2658a1b4213d5ba3c4f0
++ base_rev=d7680f13df105aa8fa0edbdf8efae31a5411f579
++ get_current_git gdb_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No gdb_rev in current git' '[' -f artifacts/git/gdb_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/gdb_rev
-+ cur_rev=d7680f13df105aa8fa0edbdf8efae31a5411f579
-++ git -C gdb rev-list --count 38cc67cc00dc7385991e2658a1b4213d5ba3c4f0..d7680f13df105aa8fa0edbdf8efae31a5411f579
-+ c_commits=5
-# rev for gdb : 38cc67cc00dc7385991e2658a1b4213d5ba3c4f0..d7680f13df105aa8fa0edbdf8efae31a5411f579 (5 commits)
-+ echo '# rev for gdb : 38cc67cc00dc7385991e2658a1b4213d5ba3c4f0..d7680f13df105aa8fa0edbdf8efae31a5411f579 (5 commits)'
++ cur_rev=0a43fbaa23a5eaf4254a51fa43ef61a6e28c9bd6
+++ git -C gdb rev-list --count d7680f13df105aa8fa0edbdf8efae31a5411f579..0a43fbaa23a5eaf4254a51fa43ef61a6e28c9bd6
++ c_commits=14
+# rev for gdb : d7680f13df105aa8fa0edbdf8efae31a5411f579..0a43fbaa23a5eaf4254a51fa43ef61a6e28c9bd6 (14 commits)
++ echo '# rev for gdb : d7680f13df105aa8fa0edbdf8efae31a5411f579..0a43fbaa23a5eaf4254a51fa43ef61a6e28c9bd6 (14 commits)'
+ echo ''
+ setup_stages_to_run
+ '[' ignore = onregression ']'
@@ -348,7 +348,7 @@
+ gnu_generate_extra_details
+ set -euf -o pipefail
+ '[' -d artifacts/sumfiles ']'
-+ wait 1962243
++ wait 1214693
+ gcc-compare-results/compare_tests -compr none -pass-thresh 0.9 base-artifacts/sumfiles artifacts/sumfiles
+ true
+ check_if_first_report
@@ -390,10 +390,10 @@
++ local validate_failures=gcc-compare-results/contrib/testsuite-management/validate_failures.py
++ local xfails=artifacts/sumfiles/xfails.xfail
++ '[' -f artifacts/sumfiles/xfails.xfail ']'
-++ wait 1962288
-++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20230914 --build_dir=artifacts/sumfiles --verbosity=1
-++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --inverse_match --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20230914 --build_dir=artifacts/sumfiles --verbosity=1
-++ wait 1962289
+++ wait 1214738
+++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20230915 --build_dir=artifacts/sumfiles --verbosity=1
+++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --inverse_match --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20230915 --build_dir=artifacts/sumfiles --verbosity=1
+++ wait 1214739
++ local n_regressions n_progressions pass_fail=PASS
++ '[' 0 '!=' 0 ']'
+++ grep -c '^[A-Z]\+:' artifacts/notify/regressions.sum
@@ -416,9 +416,9 @@
+++ get_current_manifest BUILD_URL
+++ get_manifest artifacts/manifest.sh BUILD_URL
+++ set +x
-++ url=https://ci.linaro.org/job/tcwg_gnu_native_check_gdb--master-aarch64-build/677/artifact/artifacts
+++ url=https://ci.linaro.org/job/tcwg_gnu_native_check_gdb--master-aarch64-build/678/artifact/artifacts
++ '[' '' '!=' '' ']'
-++ echo 'https://ci.linaro.org/job/tcwg_gnu_native_check_gdb--master-aarch64-build/677/artifact/artifacts/notify/mail-body.txt/*view*/'
+++ echo 'https://ci.linaro.org/job/tcwg_gnu_native_check_gdb--master-aarch64-build/678/artifact/artifacts/notify/mail-body.txt/*view*/'
# print all notification files
+ echo '# print all notification files'
+ true
@@ -451,16 +451,16 @@
+++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/binutils_rev
-++ base_rev=bc92a20a84ee4c458cd4d3e1dad0960f0349b07f
+++ base_rev=d7680f13df105aa8fa0edbdf8efae31a5411f579
+++ get_current_git binutils_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No binutils_rev in current git' '[' -f artifacts/git/binutils_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/binutils_rev
-++ cur_rev=d7680f13df105aa8fa0edbdf8efae31a5411f579
-+++ git -C binutils rev-list --count bc92a20a84ee4c458cd4d3e1dad0960f0349b07f..d7680f13df105aa8fa0edbdf8efae31a5411f579
-++ c_commits=7
-++ new_commits=7
+++ cur_rev=0a43fbaa23a5eaf4254a51fa43ef61a6e28c9bd6
++++ git -C binutils rev-list --count d7680f13df105aa8fa0edbdf8efae31a5411f579..0a43fbaa23a5eaf4254a51fa43ef61a6e28c9bd6
+++ c_commits=14
+++ new_commits=14
++ for c in "${changed_components[@]}"
+++ get_baseline_git gcc_rev
+++ set -euf -o pipefail
@@ -468,16 +468,16 @@
+++ assert_with_msg 'ERROR: No gcc_rev in baseline git' '[' -f base-artifacts/git/gcc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/gcc_rev
-++ base_rev=92ea12ea99fce546772a40b7bbc2ea850db9b1be
+++ base_rev=62b29347c38394ae32858f2301aa9aa65205984e
+++ get_current_git gcc_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No gcc_rev in current git' '[' -f artifacts/git/gcc_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/gcc_rev
-++ cur_rev=62b29347c38394ae32858f2301aa9aa65205984e
-+++ git -C gcc rev-list --count 92ea12ea99fce546772a40b7bbc2ea850db9b1be..62b29347c38394ae32858f2301aa9aa65205984e
-++ c_commits=64
-++ new_commits=71
+++ cur_rev=e6413b5dc5b786391802368207ec86945eef2ae0
++++ git -C gcc rev-list --count 62b29347c38394ae32858f2301aa9aa65205984e..e6413b5dc5b786391802368207ec86945eef2ae0
+++ c_commits=34
+++ new_commits=48
++ for c in "${changed_components[@]}"
+++ get_baseline_git linux_rev
+++ set -euf -o pipefail
@@ -485,16 +485,16 @@
+++ assert_with_msg 'ERROR: No linux_rev in baseline git' '[' -f base-artifacts/git/linux_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/linux_rev
-++ base_rev=3669558bdf354cd352be955ef2764cde6a9bf5ec
+++ base_rev=aed8aee11130a954356200afa3f1b8753e8a9482
+++ get_current_git linux_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No linux_rev in current git' '[' -f artifacts/git/linux_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/linux_rev
-++ cur_rev=aed8aee11130a954356200afa3f1b8753e8a9482
-+++ git -C linux rev-list --count 3669558bdf354cd352be955ef2764cde6a9bf5ec..aed8aee11130a954356200afa3f1b8753e8a9482
-++ c_commits=39
-++ new_commits=110
+++ cur_rev=9fdfb15a3dbf818e06be514f4abbfc071004cbe7
++++ git -C linux rev-list --count aed8aee11130a954356200afa3f1b8753e8a9482..9fdfb15a3dbf818e06be514f4abbfc071004cbe7
+++ c_commits=43
+++ new_commits=91
++ for c in "${changed_components[@]}"
+++ get_baseline_git glibc_rev
+++ set -euf -o pipefail
@@ -502,16 +502,16 @@
+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/glibc_rev
-++ base_rev=72511f539cc34681ec61c6a0dc2fe6d684760ffe
+++ base_rev=bd77dd7e73e3530203be1c52c8a29d08270cb25d
+++ get_current_git glibc_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/glibc_rev
-++ cur_rev=bd77dd7e73e3530203be1c52c8a29d08270cb25d
-+++ git -C glibc rev-list --count 72511f539cc34681ec61c6a0dc2fe6d684760ffe..bd77dd7e73e3530203be1c52c8a29d08270cb25d
-++ c_commits=2
-++ new_commits=112
+++ cur_rev=780adf7aeab9308c02d89260df6ffa84dc2289a5
++++ git -C glibc rev-list --count bd77dd7e73e3530203be1c52c8a29d08270cb25d..780adf7aeab9308c02d89260df6ffa84dc2289a5
+++ c_commits=6
+++ new_commits=97
++ for c in "${changed_components[@]}"
+++ get_baseline_git gdb_rev
+++ set -euf -o pipefail
@@ -519,20 +519,20 @@
+++ assert_with_msg 'ERROR: No gdb_rev in baseline git' '[' -f base-artifacts/git/gdb_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/gdb_rev
-++ base_rev=38cc67cc00dc7385991e2658a1b4213d5ba3c4f0
+++ base_rev=d7680f13df105aa8fa0edbdf8efae31a5411f579
+++ get_current_git gdb_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No gdb_rev in current git' '[' -f artifacts/git/gdb_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/gdb_rev
-++ cur_rev=d7680f13df105aa8fa0edbdf8efae31a5411f579
-+++ git -C gdb rev-list --count 38cc67cc00dc7385991e2658a1b4213d5ba3c4f0..d7680f13df105aa8fa0edbdf8efae31a5411f579
-++ c_commits=5
-++ new_commits=117
+++ cur_rev=0a43fbaa23a5eaf4254a51fa43ef61a6e28c9bd6
++++ git -C gdb rev-list --count d7680f13df105aa8fa0edbdf8efae31a5411f579..0a43fbaa23a5eaf4254a51fa43ef61a6e28c9bd6
+++ c_commits=14
+++ new_commits=111
+++ echo binutils gcc linux glibc gdb
+++ tr ' ' ,
++ components=binutils,gcc,linux,glibc,gdb
-++ echo '117 commits in binutils,gcc,linux,glibc,gdb'
+++ echo '111 commits in binutils,gcc,linux,glibc,gdb'
++ '[' --oneline = --oneline ']'
++ return 0
++ gnu_print_result --oneline
@@ -542,10 +542,10 @@
++ local validate_failures=gcc-compare-results/contrib/testsuite-management/validate_failures.py
++ local xfails=artifacts/sumfiles/xfails.xfail
++ '[' -f artifacts/sumfiles/xfails.xfail ']'
-++ wait 1962364
-++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20230914 --build_dir=artifacts/sumfiles --verbosity=1
-++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --inverse_match --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20230914 --build_dir=artifacts/sumfiles --verbosity=1
-++ wait 1962365
+++ wait 1214814
+++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20230915 --build_dir=artifacts/sumfiles --verbosity=1
+++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --inverse_match --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20230915 --build_dir=artifacts/sumfiles --verbosity=1
+++ wait 1214815
++ local n_regressions n_progressions pass_fail=PASS
++ '[' 0 '!=' 0 ']'
+++ grep -c '^[A-Z]\+:' artifacts/notify/regressions.sum
@@ -562,17 +562,17 @@
++ printf '\n'
++ '[' --oneline = --oneline ']'
++ return 0
-+ echo '[Linaro-TCWG-CI]' '117 commits in binutils,gcc,linux,glibc,gdb: PASS'
++ echo '[Linaro-TCWG-CI]' '111 commits in binutils,gcc,linux,glibc,gdb: PASS'
+ print_mail_body
+ local bad_artifacts_url good_artifacts_url
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-+ bad_artifacts_url=https://ci.linaro.org/job/tcwg_gnu_native_check_gdb--master-aarch64-build/677/artifact/artifacts
++ bad_artifacts_url=https://ci.linaro.org/job/tcwg_gnu_native_check_gdb--master-aarch64-build/678/artifact/artifacts
++ get_baseline_manifest BUILD_URL
++ get_manifest base-artifacts/manifest.sh BUILD_URL false
++ set +x
-+ good_artifacts_url=https://ci.linaro.org/job/tcwg_gnu_native_check_gdb--master-aarch64-build/676/artifact/artifacts
++ good_artifacts_url=https://ci.linaro.org/job/tcwg_gnu_native_check_gdb--master-aarch64-build/677/artifact/artifacts
+ cat
++ print_commits --short
++ sed -e 's/^/ | /'
@@ -596,16 +596,16 @@
+++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/binutils_rev
-++ base_rev=bc92a20a84ee4c458cd4d3e1dad0960f0349b07f
+++ base_rev=d7680f13df105aa8fa0edbdf8efae31a5411f579
+++ get_current_git binutils_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No binutils_rev in current git' '[' -f artifacts/git/binutils_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/binutils_rev
-++ cur_rev=d7680f13df105aa8fa0edbdf8efae31a5411f579
-+++ git -C binutils rev-list --count bc92a20a84ee4c458cd4d3e1dad0960f0349b07f..d7680f13df105aa8fa0edbdf8efae31a5411f579
-++ c_commits=7
-++ new_commits=7
+++ cur_rev=0a43fbaa23a5eaf4254a51fa43ef61a6e28c9bd6
++++ git -C binutils rev-list --count d7680f13df105aa8fa0edbdf8efae31a5411f579..0a43fbaa23a5eaf4254a51fa43ef61a6e28c9bd6
+++ c_commits=14
+++ new_commits=14
++ for c in "${changed_components[@]}"
+++ get_baseline_git gcc_rev
+++ set -euf -o pipefail
@@ -613,16 +613,16 @@
+++ assert_with_msg 'ERROR: No gcc_rev in baseline git' '[' -f base-artifacts/git/gcc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/gcc_rev
-++ base_rev=92ea12ea99fce546772a40b7bbc2ea850db9b1be
+++ base_rev=62b29347c38394ae32858f2301aa9aa65205984e
+++ get_current_git gcc_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No gcc_rev in current git' '[' -f artifacts/git/gcc_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/gcc_rev
-++ cur_rev=62b29347c38394ae32858f2301aa9aa65205984e
-+++ git -C gcc rev-list --count 92ea12ea99fce546772a40b7bbc2ea850db9b1be..62b29347c38394ae32858f2301aa9aa65205984e
-++ c_commits=64
-++ new_commits=71
+++ cur_rev=e6413b5dc5b786391802368207ec86945eef2ae0
++++ git -C gcc rev-list --count 62b29347c38394ae32858f2301aa9aa65205984e..e6413b5dc5b786391802368207ec86945eef2ae0
+++ c_commits=34
+++ new_commits=48
++ for c in "${changed_components[@]}"
+++ get_baseline_git linux_rev
+++ set -euf -o pipefail
@@ -630,16 +630,16 @@
+++ assert_with_msg 'ERROR: No linux_rev in baseline git' '[' -f base-artifacts/git/linux_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/linux_rev
-++ base_rev=3669558bdf354cd352be955ef2764cde6a9bf5ec
+++ base_rev=aed8aee11130a954356200afa3f1b8753e8a9482
+++ get_current_git linux_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No linux_rev in current git' '[' -f artifacts/git/linux_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/linux_rev
-++ cur_rev=aed8aee11130a954356200afa3f1b8753e8a9482
-+++ git -C linux rev-list --count 3669558bdf354cd352be955ef2764cde6a9bf5ec..aed8aee11130a954356200afa3f1b8753e8a9482
-++ c_commits=39
-++ new_commits=110
+++ cur_rev=9fdfb15a3dbf818e06be514f4abbfc071004cbe7
++++ git -C linux rev-list --count aed8aee11130a954356200afa3f1b8753e8a9482..9fdfb15a3dbf818e06be514f4abbfc071004cbe7
+++ c_commits=43
+++ new_commits=91
++ for c in "${changed_components[@]}"
+++ get_baseline_git glibc_rev
+++ set -euf -o pipefail
@@ -647,16 +647,16 @@
+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/glibc_rev
-++ base_rev=72511f539cc34681ec61c6a0dc2fe6d684760ffe
+++ base_rev=bd77dd7e73e3530203be1c52c8a29d08270cb25d
+++ get_current_git glibc_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/glibc_rev
-++ cur_rev=bd77dd7e73e3530203be1c52c8a29d08270cb25d
-+++ git -C glibc rev-list --count 72511f539cc34681ec61c6a0dc2fe6d684760ffe..bd77dd7e73e3530203be1c52c8a29d08270cb25d
-++ c_commits=2
-++ new_commits=112
+++ cur_rev=780adf7aeab9308c02d89260df6ffa84dc2289a5
++++ git -C glibc rev-list --count bd77dd7e73e3530203be1c52c8a29d08270cb25d..780adf7aeab9308c02d89260df6ffa84dc2289a5
+++ c_commits=6
+++ new_commits=97
++ for c in "${changed_components[@]}"
+++ get_baseline_git gdb_rev
+++ set -euf -o pipefail
@@ -664,20 +664,20 @@
+++ assert_with_msg 'ERROR: No gdb_rev in baseline git' '[' -f base-artifacts/git/gdb_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/gdb_rev
-++ base_rev=38cc67cc00dc7385991e2658a1b4213d5ba3c4f0
+++ base_rev=d7680f13df105aa8fa0edbdf8efae31a5411f579
+++ get_current_git gdb_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No gdb_rev in current git' '[' -f artifacts/git/gdb_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/gdb_rev
-++ cur_rev=d7680f13df105aa8fa0edbdf8efae31a5411f579
-+++ git -C gdb rev-list --count 38cc67cc00dc7385991e2658a1b4213d5ba3c4f0..d7680f13df105aa8fa0edbdf8efae31a5411f579
-++ c_commits=5
-++ new_commits=117
+++ cur_rev=0a43fbaa23a5eaf4254a51fa43ef61a6e28c9bd6
++++ git -C gdb rev-list --count d7680f13df105aa8fa0edbdf8efae31a5411f579..0a43fbaa23a5eaf4254a51fa43ef61a6e28c9bd6
+++ c_commits=14
+++ new_commits=111
+++ echo binutils gcc linux glibc gdb
+++ tr ' ' ,
++ components=binutils,gcc,linux,glibc,gdb
-++ echo '117 commits in binutils,gcc,linux,glibc,gdb'
+++ echo '111 commits in binutils,gcc,linux,glibc,gdb'
++ '[' --short = --oneline ']'
++ for c in "${changed_components[@]}"
+++ get_baseline_git binutils_rev
@@ -686,19 +686,19 @@
+++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/binutils_rev
-++ base_rev=bc92a20a84ee4c458cd4d3e1dad0960f0349b07f
+++ base_rev=d7680f13df105aa8fa0edbdf8efae31a5411f579
+++ get_current_git binutils_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No binutils_rev in current git' '[' -f artifacts/git/binutils_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/binutils_rev
-++ cur_rev=d7680f13df105aa8fa0edbdf8efae31a5411f579
-+++ git -C binutils rev-list --count bc92a20a84ee4c458cd4d3e1dad0960f0349b07f..d7680f13df105aa8fa0edbdf8efae31a5411f579
-++ c_commits=7
+++ cur_rev=0a43fbaa23a5eaf4254a51fa43ef61a6e28c9bd6
++++ git -C binutils rev-list --count d7680f13df105aa8fa0edbdf8efae31a5411f579..0a43fbaa23a5eaf4254a51fa43ef61a6e28c9bd6
+++ c_commits=14
++ '[' '' '!=' '' ']'
-++ git -C binutils log -n 5 --oneline bc92a20a84ee4c458cd4d3e1dad0960f0349b07f..d7680f13df105aa8fa0edbdf8efae31a5411f579
-++ '[' 7 -gt 5 ']'
-++ echo '... and 2 more commits in binutils'
+++ git -C binutils log -n 5 --oneline d7680f13df105aa8fa0edbdf8efae31a5411f579..0a43fbaa23a5eaf4254a51fa43ef61a6e28c9bd6
+++ '[' 14 -gt 5 ']'
+++ echo '... and 9 more commits in binutils'
++ '[' '' '!=' '' ']'
++ for c in "${changed_components[@]}"
+++ get_baseline_git gcc_rev
@@ -707,19 +707,19 @@
+++ assert_with_msg 'ERROR: No gcc_rev in baseline git' '[' -f base-artifacts/git/gcc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/gcc_rev
-++ base_rev=92ea12ea99fce546772a40b7bbc2ea850db9b1be
+++ base_rev=62b29347c38394ae32858f2301aa9aa65205984e
+++ get_current_git gcc_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No gcc_rev in current git' '[' -f artifacts/git/gcc_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/gcc_rev
-++ cur_rev=62b29347c38394ae32858f2301aa9aa65205984e
-+++ git -C gcc rev-list --count 92ea12ea99fce546772a40b7bbc2ea850db9b1be..62b29347c38394ae32858f2301aa9aa65205984e
-++ c_commits=64
+++ cur_rev=e6413b5dc5b786391802368207ec86945eef2ae0
++++ git -C gcc rev-list --count 62b29347c38394ae32858f2301aa9aa65205984e..e6413b5dc5b786391802368207ec86945eef2ae0
+++ c_commits=34
++ '[' '' '!=' '' ']'
-++ git -C gcc log -n 5 --oneline 92ea12ea99fce546772a40b7bbc2ea850db9b1be..62b29347c38394ae32858f2301aa9aa65205984e
-++ '[' 64 -gt 5 ']'
-++ echo '... and 59 more commits in gcc'
+++ git -C gcc log -n 5 --oneline 62b29347c38394ae32858f2301aa9aa65205984e..e6413b5dc5b786391802368207ec86945eef2ae0
+++ '[' 34 -gt 5 ']'
+++ echo '... and 29 more commits in gcc'
++ '[' '' '!=' '' ']'
++ for c in "${changed_components[@]}"
+++ get_baseline_git linux_rev
@@ -728,19 +728,19 @@
+++ assert_with_msg 'ERROR: No linux_rev in baseline git' '[' -f base-artifacts/git/linux_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/linux_rev
-++ base_rev=3669558bdf354cd352be955ef2764cde6a9bf5ec
+++ base_rev=aed8aee11130a954356200afa3f1b8753e8a9482
+++ get_current_git linux_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No linux_rev in current git' '[' -f artifacts/git/linux_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/linux_rev
-++ cur_rev=aed8aee11130a954356200afa3f1b8753e8a9482
-+++ git -C linux rev-list --count 3669558bdf354cd352be955ef2764cde6a9bf5ec..aed8aee11130a954356200afa3f1b8753e8a9482
-++ c_commits=39
+++ cur_rev=9fdfb15a3dbf818e06be514f4abbfc071004cbe7
++++ git -C linux rev-list --count aed8aee11130a954356200afa3f1b8753e8a9482..9fdfb15a3dbf818e06be514f4abbfc071004cbe7
+++ c_commits=43
++ '[' '' '!=' '' ']'
-++ git -C linux log -n 5 --oneline 3669558bdf354cd352be955ef2764cde6a9bf5ec..aed8aee11130a954356200afa3f1b8753e8a9482
-++ '[' 39 -gt 5 ']'
-++ echo '... and 34 more commits in linux'
+++ git -C linux log -n 5 --oneline aed8aee11130a954356200afa3f1b8753e8a9482..9fdfb15a3dbf818e06be514f4abbfc071004cbe7
+++ '[' 43 -gt 5 ']'
+++ echo '... and 38 more commits in linux'
++ '[' '' '!=' '' ']'
++ for c in "${changed_components[@]}"
+++ get_baseline_git glibc_rev
@@ -749,18 +749,19 @@
+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/glibc_rev
-++ base_rev=72511f539cc34681ec61c6a0dc2fe6d684760ffe
+++ base_rev=bd77dd7e73e3530203be1c52c8a29d08270cb25d
+++ get_current_git glibc_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/glibc_rev
-++ cur_rev=bd77dd7e73e3530203be1c52c8a29d08270cb25d
-+++ git -C glibc rev-list --count 72511f539cc34681ec61c6a0dc2fe6d684760ffe..bd77dd7e73e3530203be1c52c8a29d08270cb25d
-++ c_commits=2
+++ cur_rev=780adf7aeab9308c02d89260df6ffa84dc2289a5
++++ git -C glibc rev-list --count bd77dd7e73e3530203be1c52c8a29d08270cb25d..780adf7aeab9308c02d89260df6ffa84dc2289a5
+++ c_commits=6
++ '[' '' '!=' '' ']'
-++ git -C glibc log -n 5 --oneline 72511f539cc34681ec61c6a0dc2fe6d684760ffe..bd77dd7e73e3530203be1c52c8a29d08270cb25d
-++ '[' 2 -gt 5 ']'
+++ git -C glibc log -n 5 --oneline bd77dd7e73e3530203be1c52c8a29d08270cb25d..780adf7aeab9308c02d89260df6ffa84dc2289a5
+++ '[' 6 -gt 5 ']'
+++ echo '... and 1 more commits in glibc'
++ '[' '' '!=' '' ']'
++ for c in "${changed_components[@]}"
+++ get_baseline_git gdb_rev
@@ -769,18 +770,19 @@
+++ assert_with_msg 'ERROR: No gdb_rev in baseline git' '[' -f base-artifacts/git/gdb_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/gdb_rev
-++ base_rev=38cc67cc00dc7385991e2658a1b4213d5ba3c4f0
+++ base_rev=d7680f13df105aa8fa0edbdf8efae31a5411f579
+++ get_current_git gdb_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No gdb_rev in current git' '[' -f artifacts/git/gdb_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/gdb_rev
-++ cur_rev=d7680f13df105aa8fa0edbdf8efae31a5411f579
-+++ git -C gdb rev-list --count 38cc67cc00dc7385991e2658a1b4213d5ba3c4f0..d7680f13df105aa8fa0edbdf8efae31a5411f579
-++ c_commits=5
+++ cur_rev=0a43fbaa23a5eaf4254a51fa43ef61a6e28c9bd6
++++ git -C gdb rev-list --count d7680f13df105aa8fa0edbdf8efae31a5411f579..0a43fbaa23a5eaf4254a51fa43ef61a6e28c9bd6
+++ c_commits=14
++ '[' '' '!=' '' ']'
-++ git -C gdb log -n 5 --oneline 38cc67cc00dc7385991e2658a1b4213d5ba3c4f0..d7680f13df105aa8fa0edbdf8efae31a5411f579
-++ '[' 5 -gt 5 ']'
+++ git -C gdb log -n 5 --oneline d7680f13df105aa8fa0edbdf8efae31a5411f579..0a43fbaa23a5eaf4254a51fa43ef61a6e28c9bd6
+++ '[' 14 -gt 5 ']'
+++ echo '... and 9 more commits in gdb'
++ '[' '' '!=' '' ']'
++ return 0
++ gnu_print_result --short
@@ -790,10 +792,10 @@
++ local validate_failures=gcc-compare-results/contrib/testsuite-management/validate_failures.py
++ local xfails=artifacts/sumfiles/xfails.xfail
++ '[' -f artifacts/sumfiles/xfails.xfail ']'
-++ wait 1962502
-++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20230914 --build_dir=artifacts/sumfiles --verbosity=1
-++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --inverse_match --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20230914 --build_dir=artifacts/sumfiles --verbosity=1
-++ wait 1962503
+++ wait 1214952
+++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20230915 --build_dir=artifacts/sumfiles --verbosity=1
+++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --inverse_match --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20230915 --build_dir=artifacts/sumfiles --verbosity=1
+++ wait 1214953
++ local n_regressions n_progressions pass_fail=PASS
++ '[' 0 '!=' 0 ']'
+++ grep -c '^[A-Z]\+:' artifacts/notify/regressions.sum
@@ -824,57 +826,57 @@
++++ get_current_manifest BUILD_URL
++++ get_manifest artifacts/manifest.sh BUILD_URL
++++ set +x
-+++ url=https://ci.linaro.org/job/tcwg_gnu_native_check_gdb--master-aarch64-build/677/artifact/artifacts
++++ url=https://ci.linaro.org/job/tcwg_gnu_native_check_gdb--master-aarch64-build/678/artifact/artifacts
+++ '[' '' '!=' '' ']'
-+++ echo https://ci.linaro.org/job/tcwg_gnu_native_check_gdb--master-aarch64-build/677/artifact/artifacts/00-sumfiles/
++++ echo https://ci.linaro.org/job/tcwg_gnu_native_check_gdb--master-aarch64-build/678/artifact/artifacts/00-sumfiles/
+++ print_artifacts_url notify/
+++ set -euf -o pipefail
+++ local url
++++ get_current_manifest BUILD_URL
++++ get_manifest artifacts/manifest.sh BUILD_URL
++++ set +x
-+++ url=https://ci.linaro.org/job/tcwg_gnu_native_check_gdb--master-aarch64-build/677/artifact/artifacts
++++ url=https://ci.linaro.org/job/tcwg_gnu_native_check_gdb--master-aarch64-build/678/artifact/artifacts
+++ '[' '' '!=' '' ']'
-+++ echo https://ci.linaro.org/job/tcwg_gnu_native_check_gdb--master-aarch64-build/677/artifact/artifacts/notify/
++++ echo https://ci.linaro.org/job/tcwg_gnu_native_check_gdb--master-aarch64-build/678/artifact/artifacts/notify/
+++ print_artifacts_url sumfiles/xfails.xfail
+++ set -euf -o pipefail
+++ local url
++++ get_current_manifest BUILD_URL
++++ get_manifest artifacts/manifest.sh BUILD_URL
++++ set +x
-+++ url=https://ci.linaro.org/job/tcwg_gnu_native_check_gdb--master-aarch64-build/677/artifact/artifacts
++++ url=https://ci.linaro.org/job/tcwg_gnu_native_check_gdb--master-aarch64-build/678/artifact/artifacts
+++ '[' '' '!=' '' ']'
-+++ echo https://ci.linaro.org/job/tcwg_gnu_native_check_gdb--master-aarch64-build/677/artifact/artifacts/sumfiles/xfails.xfail
++++ echo https://ci.linaro.org/job/tcwg_gnu_native_check_gdb--master-aarch64-build/678/artifact/artifacts/sumfiles/xfails.xfail
++ print_config
++ :
+ '[' multiple_components '!=' single_commit ']'
+ return
-+ echo '# generate dashboard'
# generate dashboard
++ echo '# generate dashboard'
+ generate_dashboard_squad
-+ local results_date
# generate_dashboard_squad
+... Skipping
++ local results_date
+ echo '# generate_dashboard_squad'
+ false
-... Skipping
+ echo '... Skipping'
+ return
+ post_dashboard_squad
# post_dashboard_squad
-... Skipping
+ echo '# post_dashboard_squad'
+... Skipping
+ false
+ echo '... Skipping'
+ return
+ false
+ post_to_jira
+ set -euf -o pipefail
-+ echo '# post_to_jira'
# post_to_jira
++ echo '# post_to_jira'
+ local post_card_comment=false
+ local post_template_comment=false
+ false
+ false
+ false
-+ echo 'Full stage ran successfully.'
Full stage ran successfully.
++ echo 'Full stage ran successfully.'
diff --git a/jenkins/notify-init.log b/jenkins/notify-init.log
index f1a6a32..ab53808 100644
--- a/jenkins/notify-init.log
+++ b/jenkins/notify-init.log
@@ -1,25 +1,25 @@
++ pwd
++ cat
-+ remote_exec tcwg-snow-02::/home/tcwg-buildslave/workspace/tcwg_gnu_1:-p34674: ./jenkins-scripts/round-robin-notify.sh '@@rr[top_artifacts]' artifacts --notify ignore __stage init __verbose true __build_script tcwg_gnu-build.sh
++ remote_exec tcwg-snow-02::/home/tcwg-buildslave/workspace/tcwg_gnu_2:-p34827: ./jenkins-scripts/round-robin-notify.sh '@@rr[top_artifacts]' artifacts --notify ignore __stage init __verbose true __build_script tcwg_gnu-build.sh
+ set -euf -o pipefail
+ local host
-++ echo tcwg-snow-02::/home/tcwg-buildslave/workspace/tcwg_gnu_1:-p34674:
++ cut -d: -f 1
+++ echo tcwg-snow-02::/home/tcwg-buildslave/workspace/tcwg_gnu_2:-p34827:
+ host=tcwg-snow-02
+ local port
-++ echo tcwg-snow-02::/home/tcwg-buildslave/workspace/tcwg_gnu_1:-p34674:
+++ echo tcwg-snow-02::/home/tcwg-buildslave/workspace/tcwg_gnu_2:-p34827:
++ cut -s -d: -f 2
+ port=
+ local dir
-++ echo tcwg-snow-02::/home/tcwg-buildslave/workspace/tcwg_gnu_1:-p34674:
+++ echo tcwg-snow-02::/home/tcwg-buildslave/workspace/tcwg_gnu_2:-p34827:
++ cut -s -d: -f 3
-+ dir=/home/tcwg-buildslave/workspace/tcwg_gnu_1
++ dir=/home/tcwg-buildslave/workspace/tcwg_gnu_2
+ local opts
-++ echo tcwg-snow-02::/home/tcwg-buildslave/workspace/tcwg_gnu_1:-p34674:
+++ echo tcwg-snow-02::/home/tcwg-buildslave/workspace/tcwg_gnu_2:-p34827:
++ cut -s -d: -f 4
-+ opts=-p34674
++ opts=-p34827
+ local env_vars
-++ echo tcwg-snow-02::/home/tcwg-buildslave/workspace/tcwg_gnu_1:-p34674:
+++ echo tcwg-snow-02::/home/tcwg-buildslave/workspace/tcwg_gnu_2:-p34827:
++ cut -s -d: -f 5
+ env_vars=
+ shift
@@ -58,10 +58,10 @@
+ for i in "$@"
+ cmd+=("$(printf '%q' "$i")")
++ printf %q tcwg_gnu-build.sh
-++ printf %q /home/tcwg-buildslave/workspace/tcwg_gnu_1
-+ ssh -p34674 tcwg-snow-02 'cd /home/tcwg-buildslave/workspace/tcwg_gnu_1 && exec ./jenkins-scripts/round-robin-notify.sh @@rr\[top_artifacts\] artifacts --notify ignore __stage init __verbose true __build_script tcwg_gnu-build.sh'
+++ printf %q /home/tcwg-buildslave/workspace/tcwg_gnu_2
++ ssh -p34827 tcwg-snow-02 'cd /home/tcwg-buildslave/workspace/tcwg_gnu_2 && exec ./jenkins-scripts/round-robin-notify.sh @@rr\[top_artifacts\] artifacts --notify ignore __stage init __verbose true __build_script tcwg_gnu-build.sh'
-/home/tcwg-buildslave/workspace/tcwg_gnu_1/jenkins-scripts/round-robin-notify.sh @@rr[top_artifacts] artifacts --notify ignore __stage init __verbose true __build_script tcwg_gnu-build.sh
+/home/tcwg-buildslave/workspace/tcwg_gnu_2/jenkins-scripts/round-robin-notify.sh @@rr[top_artifacts] artifacts --notify ignore __stage init __verbose true __build_script tcwg_gnu-build.sh
+ false
+ dryrun=
@@ -70,8 +70,8 @@
+ declare -a changed_components
+ declare print_commits_f print_result_f print_config_f print_last_icommit_f
+ dump_model_only=false
-+ setup_notify_environment
# setup_notify_environment
++ setup_notify_environment
+ echo '# setup_notify_environment'
+ top_artifacts=artifacts
++ get_current_manifest '{rr[ci_project]}'
@@ -81,24 +81,24 @@
++ get_current_manifest '{rr[ci_config]}'
++ get_manifest artifacts/manifest.sh '{rr[ci_config]}'
++ set +x
-+ ci_config=master-aarch64
# Debug traces :
++ ci_config=master-aarch64
+ echo '# Debug traces :'
++ get_baseline_manifest BUILD_URL
++ get_manifest base-artifacts/manifest.sh BUILD_URL false
++ set +x
-# Baseline : https://ci.linaro.org/job/tcwg_gnu_native_check_gdb--master-aarch64-build/676/
-+ echo '# Baseline : https://ci.linaro.org/job/tcwg_gnu_native_check_gdb--master-aarch64-build/676/'
+# Baseline : https://ci.linaro.org/job/tcwg_gnu_native_check_gdb--master-aarch64-build/677/
# Using dir : base-artifacts
++ echo '# Baseline : https://ci.linaro.org/job/tcwg_gnu_native_check_gdb--master-aarch64-build/677/'
+ echo '# Using dir : base-artifacts'
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-# Artifacts : https://ci.linaro.org/job/tcwg_gnu_native_check_gdb--master-aarch64-build/677/
-+ echo '# Artifacts : https://ci.linaro.org/job/tcwg_gnu_native_check_gdb--master-aarch64-build/677/'
+# Artifacts : https://ci.linaro.org/job/tcwg_gnu_native_check_gdb--master-aarch64-build/678/
++ echo '# Artifacts : https://ci.linaro.org/job/tcwg_gnu_native_check_gdb--master-aarch64-build/678/'
# Using dir : artifacts
-+ echo '# Using dir : artifacts'
++ echo '# Using dir : artifacts'
+ echo ''
+ mkdir -p artifacts/notify
+ '[' -f /home/tcwg-buildslave/.jipdate.yml ']'
@@ -153,7 +153,7 @@
+++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/binutils_rev
-++ '[' xd7680f13df105aa8fa0edbdf8efae31a5411f579 '!=' xbc92a20a84ee4c458cd4d3e1dad0960f0349b07f ']'
+++ '[' x0a43fbaa23a5eaf4254a51fa43ef61a6e28c9bd6 '!=' xd7680f13df105aa8fa0edbdf8efae31a5411f579 ']'
++ echo -ne binutils
++ delim=' '
++ for c in $(print_updated_components)
@@ -168,7 +168,7 @@
+++ assert_with_msg 'ERROR: No gcc_rev in baseline git' '[' -f base-artifacts/git/gcc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/gcc_rev
-++ '[' x62b29347c38394ae32858f2301aa9aa65205984e '!=' x92ea12ea99fce546772a40b7bbc2ea850db9b1be ']'
+++ '[' xe6413b5dc5b786391802368207ec86945eef2ae0 '!=' x62b29347c38394ae32858f2301aa9aa65205984e ']'
++ echo -ne ' gcc'
++ delim=' '
++ for c in $(print_updated_components)
@@ -183,7 +183,7 @@
+++ assert_with_msg 'ERROR: No linux_rev in baseline git' '[' -f base-artifacts/git/linux_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/linux_rev
-++ '[' xaed8aee11130a954356200afa3f1b8753e8a9482 '!=' x3669558bdf354cd352be955ef2764cde6a9bf5ec ']'
+++ '[' x9fdfb15a3dbf818e06be514f4abbfc071004cbe7 '!=' xaed8aee11130a954356200afa3f1b8753e8a9482 ']'
++ echo -ne ' linux'
++ delim=' '
++ for c in $(print_updated_components)
@@ -198,7 +198,7 @@
+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/glibc_rev
-++ '[' xbd77dd7e73e3530203be1c52c8a29d08270cb25d '!=' x72511f539cc34681ec61c6a0dc2fe6d684760ffe ']'
+++ '[' x780adf7aeab9308c02d89260df6ffa84dc2289a5 '!=' xbd77dd7e73e3530203be1c52c8a29d08270cb25d ']'
++ echo -ne ' glibc'
++ delim=' '
++ for c in $(print_updated_components)
@@ -213,7 +213,7 @@
+++ assert_with_msg 'ERROR: No gdb_rev in baseline git' '[' -f base-artifacts/git/gdb_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/gdb_rev
-++ '[' xd7680f13df105aa8fa0edbdf8efae31a5411f579 '!=' x38cc67cc00dc7385991e2658a1b4213d5ba3c4f0 ']'
+++ '[' x0a43fbaa23a5eaf4254a51fa43ef61a6e28c9bd6 '!=' xd7680f13df105aa8fa0edbdf8efae31a5411f579 ']'
++ echo -ne ' gdb'
++ delim=' '
++ echo
@@ -233,17 +233,17 @@
++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/binutils_rev
-+ base_rev=bc92a20a84ee4c458cd4d3e1dad0960f0349b07f
++ base_rev=d7680f13df105aa8fa0edbdf8efae31a5411f579
++ get_current_git binutils_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No binutils_rev in current git' '[' -f artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/binutils_rev
-+ cur_rev=d7680f13df105aa8fa0edbdf8efae31a5411f579
-++ git -C binutils rev-list --count bc92a20a84ee4c458cd4d3e1dad0960f0349b07f..d7680f13df105aa8fa0edbdf8efae31a5411f579
-+ c_commits=7
-# rev for binutils : bc92a20a84ee4c458cd4d3e1dad0960f0349b07f..d7680f13df105aa8fa0edbdf8efae31a5411f579 (7 commits)
-+ echo '# rev for binutils : bc92a20a84ee4c458cd4d3e1dad0960f0349b07f..d7680f13df105aa8fa0edbdf8efae31a5411f579 (7 commits)'
++ cur_rev=0a43fbaa23a5eaf4254a51fa43ef61a6e28c9bd6
+++ git -C binutils rev-list --count d7680f13df105aa8fa0edbdf8efae31a5411f579..0a43fbaa23a5eaf4254a51fa43ef61a6e28c9bd6
++ c_commits=14
+# rev for binutils : d7680f13df105aa8fa0edbdf8efae31a5411f579..0a43fbaa23a5eaf4254a51fa43ef61a6e28c9bd6 (14 commits)
++ echo '# rev for binutils : d7680f13df105aa8fa0edbdf8efae31a5411f579..0a43fbaa23a5eaf4254a51fa43ef61a6e28c9bd6 (14 commits)'
+ for c in "${changed_components[@]}"
++ get_baseline_git gcc_rev
++ set -euf -o pipefail
@@ -251,17 +251,17 @@
++ assert_with_msg 'ERROR: No gcc_rev in baseline git' '[' -f base-artifacts/git/gcc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/gcc_rev
-+ base_rev=92ea12ea99fce546772a40b7bbc2ea850db9b1be
++ base_rev=62b29347c38394ae32858f2301aa9aa65205984e
++ get_current_git gcc_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No gcc_rev in current git' '[' -f artifacts/git/gcc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/gcc_rev
-+ cur_rev=62b29347c38394ae32858f2301aa9aa65205984e
-++ git -C gcc rev-list --count 92ea12ea99fce546772a40b7bbc2ea850db9b1be..62b29347c38394ae32858f2301aa9aa65205984e
-+ c_commits=64
-# rev for gcc : 92ea12ea99fce546772a40b7bbc2ea850db9b1be..62b29347c38394ae32858f2301aa9aa65205984e (64 commits)
-+ echo '# rev for gcc : 92ea12ea99fce546772a40b7bbc2ea850db9b1be..62b29347c38394ae32858f2301aa9aa65205984e (64 commits)'
++ cur_rev=e6413b5dc5b786391802368207ec86945eef2ae0
+++ git -C gcc rev-list --count 62b29347c38394ae32858f2301aa9aa65205984e..e6413b5dc5b786391802368207ec86945eef2ae0
++ c_commits=34
+# rev for gcc : 62b29347c38394ae32858f2301aa9aa65205984e..e6413b5dc5b786391802368207ec86945eef2ae0 (34 commits)
++ echo '# rev for gcc : 62b29347c38394ae32858f2301aa9aa65205984e..e6413b5dc5b786391802368207ec86945eef2ae0 (34 commits)'
+ for c in "${changed_components[@]}"
++ get_baseline_git linux_rev
++ set -euf -o pipefail
@@ -269,17 +269,17 @@
++ assert_with_msg 'ERROR: No linux_rev in baseline git' '[' -f base-artifacts/git/linux_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/linux_rev
-+ base_rev=3669558bdf354cd352be955ef2764cde6a9bf5ec
++ base_rev=aed8aee11130a954356200afa3f1b8753e8a9482
++ get_current_git linux_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No linux_rev in current git' '[' -f artifacts/git/linux_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/linux_rev
-+ cur_rev=aed8aee11130a954356200afa3f1b8753e8a9482
-++ git -C linux rev-list --count 3669558bdf354cd352be955ef2764cde6a9bf5ec..aed8aee11130a954356200afa3f1b8753e8a9482
-+ c_commits=39
-# rev for linux : 3669558bdf354cd352be955ef2764cde6a9bf5ec..aed8aee11130a954356200afa3f1b8753e8a9482 (39 commits)
-+ echo '# rev for linux : 3669558bdf354cd352be955ef2764cde6a9bf5ec..aed8aee11130a954356200afa3f1b8753e8a9482 (39 commits)'
++ cur_rev=9fdfb15a3dbf818e06be514f4abbfc071004cbe7
+++ git -C linux rev-list --count aed8aee11130a954356200afa3f1b8753e8a9482..9fdfb15a3dbf818e06be514f4abbfc071004cbe7
++ c_commits=43
+# rev for linux : aed8aee11130a954356200afa3f1b8753e8a9482..9fdfb15a3dbf818e06be514f4abbfc071004cbe7 (43 commits)
++ echo '# rev for linux : aed8aee11130a954356200afa3f1b8753e8a9482..9fdfb15a3dbf818e06be514f4abbfc071004cbe7 (43 commits)'
+ for c in "${changed_components[@]}"
++ get_baseline_git glibc_rev
++ set -euf -o pipefail
@@ -287,17 +287,17 @@
++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/glibc_rev
-+ base_rev=72511f539cc34681ec61c6a0dc2fe6d684760ffe
++ base_rev=bd77dd7e73e3530203be1c52c8a29d08270cb25d
++ get_current_git glibc_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/glibc_rev
-+ cur_rev=bd77dd7e73e3530203be1c52c8a29d08270cb25d
-++ git -C glibc rev-list --count 72511f539cc34681ec61c6a0dc2fe6d684760ffe..bd77dd7e73e3530203be1c52c8a29d08270cb25d
-+ c_commits=2
-# rev for glibc : 72511f539cc34681ec61c6a0dc2fe6d684760ffe..bd77dd7e73e3530203be1c52c8a29d08270cb25d (2 commits)
-+ echo '# rev for glibc : 72511f539cc34681ec61c6a0dc2fe6d684760ffe..bd77dd7e73e3530203be1c52c8a29d08270cb25d (2 commits)'
++ cur_rev=780adf7aeab9308c02d89260df6ffa84dc2289a5
+++ git -C glibc rev-list --count bd77dd7e73e3530203be1c52c8a29d08270cb25d..780adf7aeab9308c02d89260df6ffa84dc2289a5
++ c_commits=6
+# rev for glibc : bd77dd7e73e3530203be1c52c8a29d08270cb25d..780adf7aeab9308c02d89260df6ffa84dc2289a5 (6 commits)
++ echo '# rev for glibc : bd77dd7e73e3530203be1c52c8a29d08270cb25d..780adf7aeab9308c02d89260df6ffa84dc2289a5 (6 commits)'
+ for c in "${changed_components[@]}"
++ get_baseline_git gdb_rev
++ set -euf -o pipefail
@@ -305,18 +305,18 @@
++ assert_with_msg 'ERROR: No gdb_rev in baseline git' '[' -f base-artifacts/git/gdb_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/gdb_rev
-+ base_rev=38cc67cc00dc7385991e2658a1b4213d5ba3c4f0
++ base_rev=d7680f13df105aa8fa0edbdf8efae31a5411f579
++ get_current_git gdb_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No gdb_rev in current git' '[' -f artifacts/git/gdb_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/gdb_rev
-+ cur_rev=d7680f13df105aa8fa0edbdf8efae31a5411f579
-++ git -C gdb rev-list --count 38cc67cc00dc7385991e2658a1b4213d5ba3c4f0..d7680f13df105aa8fa0edbdf8efae31a5411f579
-+ c_commits=5
-# rev for gdb : 38cc67cc00dc7385991e2658a1b4213d5ba3c4f0..d7680f13df105aa8fa0edbdf8efae31a5411f579 (5 commits)
++ cur_rev=0a43fbaa23a5eaf4254a51fa43ef61a6e28c9bd6
+++ git -C gdb rev-list --count d7680f13df105aa8fa0edbdf8efae31a5411f579..0a43fbaa23a5eaf4254a51fa43ef61a6e28c9bd6
++ c_commits=14
+# rev for gdb : d7680f13df105aa8fa0edbdf8efae31a5411f579..0a43fbaa23a5eaf4254a51fa43ef61a6e28c9bd6 (14 commits)
-+ echo '# rev for gdb : 38cc67cc00dc7385991e2658a1b4213d5ba3c4f0..d7680f13df105aa8fa0edbdf8efae31a5411f579 (5 commits)'
++ echo '# rev for gdb : d7680f13df105aa8fa0edbdf8efae31a5411f579..0a43fbaa23a5eaf4254a51fa43ef61a6e28c9bd6 (14 commits)'
+ echo ''
+ setup_stages_to_run
+ '[' ignore = onregression ']'
@@ -345,6 +345,6 @@
+ '[' multiple_components '!=' single_commit ']'
+ return
+ '[' init '!=' full ']'
-Init stage ran successfully.
+ echo 'Init stage ran successfully.'
+Init stage ran successfully.
+ exit 0
diff --git a/jenkins/rewrite.log b/jenkins/rewrite.log
index 40b58cb..42d4bb2 100644
--- a/jenkins/rewrite.log
+++ b/jenkins/rewrite.log
@@ -1,25 +1,25 @@
++ pwd
++ cat
-+ remote_exec tcwg-snow-02::/home/tcwg-buildslave/workspace/tcwg_gnu_1:-p34674: ./jenkins-scripts/round-robin-baseline.sh '@@rr[top_artifacts]' artifacts __build_script tcwg_gnu-build.sh __push_base_artifacts true __rewrite_base_artifacts true __rewrite_num 100
++ remote_exec tcwg-snow-02::/home/tcwg-buildslave/workspace/tcwg_gnu_2:-p34827: ./jenkins-scripts/round-robin-baseline.sh '@@rr[top_artifacts]' artifacts __build_script tcwg_gnu-build.sh __push_base_artifacts true __rewrite_base_artifacts true __rewrite_num 100
+ set -euf -o pipefail
+ local host
-++ echo tcwg-snow-02::/home/tcwg-buildslave/workspace/tcwg_gnu_1:-p34674:
+++ echo tcwg-snow-02::/home/tcwg-buildslave/workspace/tcwg_gnu_2:-p34827:
++ cut -d: -f 1
+ host=tcwg-snow-02
+ local port
-++ echo tcwg-snow-02::/home/tcwg-buildslave/workspace/tcwg_gnu_1:-p34674:
+++ echo tcwg-snow-02::/home/tcwg-buildslave/workspace/tcwg_gnu_2:-p34827:
++ cut -s -d: -f 2
+ port=
+ local dir
-++ echo tcwg-snow-02::/home/tcwg-buildslave/workspace/tcwg_gnu_1:-p34674:
+++ echo tcwg-snow-02::/home/tcwg-buildslave/workspace/tcwg_gnu_2:-p34827:
++ cut -s -d: -f 3
-+ dir=/home/tcwg-buildslave/workspace/tcwg_gnu_1
++ dir=/home/tcwg-buildslave/workspace/tcwg_gnu_2
+ local opts
-++ echo tcwg-snow-02::/home/tcwg-buildslave/workspace/tcwg_gnu_1:-p34674:
+++ echo tcwg-snow-02::/home/tcwg-buildslave/workspace/tcwg_gnu_2:-p34827:
++ cut -s -d: -f 4
-+ opts=-p34674
++ opts=-p34827
+ local env_vars
-++ echo tcwg-snow-02::/home/tcwg-buildslave/workspace/tcwg_gnu_1:-p34674:
+++ echo tcwg-snow-02::/home/tcwg-buildslave/workspace/tcwg_gnu_2:-p34827:
++ cut -s -d: -f 5
+ env_vars=
+ shift
@@ -58,8 +58,8 @@
+ for i in "$@"
+ cmd+=("$(printf '%q' "$i")")
++ printf %q 100
-++ printf %q /home/tcwg-buildslave/workspace/tcwg_gnu_1
-+ ssh -p34674 tcwg-snow-02 'cd /home/tcwg-buildslave/workspace/tcwg_gnu_1 && exec ./jenkins-scripts/round-robin-baseline.sh @@rr\[top_artifacts\] artifacts __build_script tcwg_gnu-build.sh __push_base_artifacts true __rewrite_base_artifacts true __rewrite_num 100'
+++ printf %q /home/tcwg-buildslave/workspace/tcwg_gnu_2
++ ssh -p34827 tcwg-snow-02 'cd /home/tcwg-buildslave/workspace/tcwg_gnu_2 && exec ./jenkins-scripts/round-robin-baseline.sh @@rr\[top_artifacts\] artifacts __build_script tcwg_gnu-build.sh __push_base_artifacts true __rewrite_base_artifacts true __rewrite_num 100'
+ declare -g rewrite_base_artifacts_first=true
+ true
+ update_baseline
diff --git a/jenkins/run-build.env b/jenkins/run-build.env
index 3d0f879..b2c12f0 100644
--- a/jenkins/run-build.env
+++ b/jenkins/run-build.env
@@ -1,4 +1,4 @@
-build_name="#677"
+build_name="#678"
docker_opts=(--distro
default
--arch
@@ -7,7 +7,7 @@ arm64
tcwg-snow-02 )
source build_container.sh
trap "cleanup_all_containers" EXIT
-build_name="#677-binutils-gcc-gdb-glibc-linux"
+build_name="#678-binutils-gcc-gdb-glibc-linux"
branch_opt=(==rr\[binutils_git\]
git://sourceware.org/git/binutils-gdb.git#master
==rr\[gcc_git\]
@@ -18,4 +18,4 @@ git://sourceware.org/git/binutils-gdb.git#master
git://sourceware.org/git/glibc.git#master
==rr\[linux_git\]
https://git.linaro.org/kernel-org/linux.git#master )
-build_name="#677-binutils-gcc-gdb-glibc-linux-R0"
+build_name="#678-binutils-gcc-gdb-glibc-linux-R0"
diff --git a/manifest.sh b/manifest.sh
index ed209f9..9d36c90 100644
--- a/manifest.sh
+++ b/manifest.sh
@@ -1,4 +1,4 @@
-declare -g "jenkins_scripts_rev=20022fc2fd596b54ebdc636007f2a7db1d3179fd"
+declare -g "jenkins_scripts_rev=5317741ac7421d49eb8075d167f5f428b1eb1b0c"
# Artifacts directory
# Recording parameters to manifest: artifacts/manifest.sh
rr[ci_project]="tcwg_gnu_native_check_gdb"
@@ -6,14 +6,14 @@ rr[ci_config]="master-aarch64"
declare -g "scripts_branch=master"
rr[mode]="build"
rr[update_baseline]="onsuccess"
-declare -g "BUILD_URL=https://ci.linaro.org/job/tcwg_gnu_native_check_gdb--master-aarch64-build/677/"
+declare -g "BUILD_URL=https://ci.linaro.org/job/tcwg_gnu_native_check_gdb--master-aarch64-build/678/"
declare -g "SQUAD_GRP="
rr[binutils_git]="git://sourceware.org/git/binutils-gdb.git#master"
rr[gcc_git]="https://github.com/gcc-mirror/gcc.git#master"
rr[gdb_git]="git://sourceware.org/git/binutils-gdb.git#master"
rr[glibc_git]="git://sourceware.org/git/glibc.git#master"
rr[linux_git]="https://git.linaro.org/kernel-org/linux.git#master"
-rr[result_expiry_date]="20230914"
+rr[result_expiry_date]="20230915"
# Saving rr[] in the manifest
rr[abe_branch]="master"
rr[abe_repo]="https://git-us.linaro.org/toolchain/abe.git"
diff --git a/notify/jira/comment-template.txt b/notify/jira/comment-template.txt
index 7a5ea37..809b035 100644
--- a/notify/jira/comment-template.txt
+++ b/notify/jira/comment-template.txt
@@ -1,3 +1,3 @@
[GNU-692]
PASS
-Details: https://ci.linaro.org/job/tcwg_gnu_native_check_gdb--master-aarch64-build/677/artifact/artifacts/notify/mail-body.txt/*view*/
+Details: https://ci.linaro.org/job/tcwg_gnu_native_check_gdb--master-aarch64-build/678/artifact/artifacts/notify/mail-body.txt/*view*/
diff --git a/notify/lnt_report.json b/notify/lnt_report.json
index 0e1781b..d187541 100644
--- a/notify/lnt_report.json
+++ b/notify/lnt_report.json
@@ -6,15 +6,15 @@
"Run": {
"Info": {
"__report_version__": "1",
- "run_order": "677",
+ "run_order": "678",
"tag": "tcwg_gnu_check"
},
- "Start Time": "2023-10-17 13:13:21"
+ "Start Time": "2023-10-17 13:14:16"
},
"Tests": [
{
"Data": [
- 81
+ 75
],
"Info": {},
"Name": "tcwg_gnu_check.gdb.expected_failures.nb_xfail"
@@ -22,7 +22,7 @@
,
{
"Data": [
- 114344
+ 114340
],
"Info": {},
"Name": "tcwg_gnu_check.gdb.expected_passes.nb_pass"
@@ -38,7 +38,7 @@
,
{
"Data": [
- 38
+ 39
],
"Info": {},
"Name": "tcwg_gnu_check.gdb.unexpected_failures.nb_fail"
@@ -78,7 +78,7 @@
,
{
"Data": [
- 124
+ 120
],
"Info": {},
"Name": "tcwg_gnu_check.gdb.known_failures.nb_other"
@@ -94,7 +94,7 @@
,
{
"Data": [
- 81
+ 75
],
"Info": {},
"Name": "tcwg_gnu_check.TOTAL.expected_failures.nb_xfail"
@@ -102,7 +102,7 @@
,
{
"Data": [
- 114344
+ 114340
],
"Info": {},
"Name": "tcwg_gnu_check.TOTAL.expected_passes.nb_pass"
@@ -118,7 +118,7 @@
,
{
"Data": [
- 38
+ 39
],
"Info": {},
"Name": "tcwg_gnu_check.TOTAL.unexpected_failures.nb_fail"
diff --git a/notify/mail-body.txt b/notify/mail-body.txt
index fad5258..46944e8 100644
--- a/notify/mail-body.txt
+++ b/notify/mail-body.txt
@@ -2,41 +2,46 @@ Dear contributor, our automatic CI has detected problems related to your patch(e
In master-aarch64 after:
- | 117 commits in binutils,gcc,linux,glibc,gdb
- | d7680f13df1 x86: Vxy naming correction
- | 4fc85f37dc7 x86: support AVX10.1 vector size restrictions
- | 2548c261604 x86: support AVX10.1/512
- | d5f9027c4c2 x86: make AES/PCMULQDQ respectively prereqs of VAES/VPCMULQDQ
- | 5c83c7600e1 Automatic date update in version.in
- | ... and 2 more commits in binutils
- | 62b29347c38 libstdc++: Add dg-require-thread-fence in several tests
- | 53ad1bd5207 RISC-V: Fix ICE in get_avl_or_vl_reg
- | 7c4f6ebe54f RISC-V: Format VSETVL PASS code
- | 3acf7e9da39 LoongArch: Change the value of branch_cost from 2 to 6.
- | 5079b620987 libstdc++: Limit <stacktrace> synopsis test to normal namespace
- | ... and 59 more commits in gcc
- | aed8aee11130 Merge tag 'pmdomain-v6.6-rc1' of git://git.kernel.org/pub/scm/linux/kernel/git/ulfh/linux-pm
- | 23f108dc9ed2 Merge tag 'tpmdd-v6.6-rc2' of git://git.kernel.org/pub/scm/linux/kernel/git/jarkko/linux-tpmdd
- | 847165d7c83d Merge tag 'parisc-for-6.6-rc2' of git://git.kernel.org/pub/scm/linux/kernel/git/deller/parisc-linux
- | 99214f67784b Merge tag 'trace-v6.6-rc1' of git://git.kernel.org/pub/scm/linux/kernel/git/trace/linux-trace
- | e2ad626f8f40 pmdomain: Rename the genpd subsystem to pmdomain
- | ... and 34 more commits in linux
- | bd77dd7e73 CVE-2023-4527: Stack read overflow with large TCP responses in no-aaaa mode
- | c8fa383f4c resolv: Fix some unaligned accesses in resolver [BZ #30750]
- | d7680f13df1 x86: Vxy naming correction
- | 4fc85f37dc7 x86: support AVX10.1 vector size restrictions
- | 2548c261604 x86: support AVX10.1/512
- | d5f9027c4c2 x86: make AES/PCMULQDQ respectively prereqs of VAES/VPCMULQDQ
- | 5c83c7600e1 Automatic date update in version.in
+ | 111 commits in binutils,gcc,linux,glibc,gdb
+ | 0a43fbaa23a arc: Fix alignment of the TLS Translation Control Block
+ | 5a6dafd5f11 gdb: small cleanup in symbol_file_add_with_addrs
+ | 7d9931cc31b gdb: add some missing filename styling
+ | 7c93730fe50 LoongArch: Enable gas sort relocs
+ | da5f9eb43fd x86: fold CpuLM and Cpu64
+ | ... and 9 more commits in binutils
+ | e6413b5dc5b RISC-V: Refactor expand_reduction and cleanup enum reduction_type
+ | 5daeda573ce libstdc++: Fix constraints for std::variant default constructor
+ | d19bdf88740 libstdc++: Remove non-void static assertions in variant's std::get [PR111172]
+ | 8fa1430bb28 libstdc++: Add operator bool to <charconv> result types (P2497R0)
+ | 2d38f45bcca aarch64: Fix loose ldpstp check [PR111411]
+ | ... and 29 more commits in gcc
+ | 9fdfb15a3dbf Merge tag 'net-6.6-rc2' of git://git.kernel.org/pub/scm/linux/kernel/git/netdev/net
+ | a22730b1b4bf kcm: Fix error handling for SOCK_DGRAM in kcm_sendmsg().
+ | 96f7dc693401 Merge branch 'net-renesas-rswitch-fix-a-lot-of-redundant-irq-issue'
+ | c4f922e86c8e net: renesas: rswitch: Add spin lock protection for irq {un}mask
+ | e7b1ef29420f net: renesas: rswitch: Fix unmasking irq condition
+ | ... and 38 more commits in linux
+ | 780adf7aea LoongArch: Change to put magic number to .rodata section
+ | 24279aecf3 LoongArch: Add ifunc support for strrchr{aligned, lsx, lasx}
+ | 06251002d4 LoongArch: Add ifunc support for strcpy, stpcpy{aligned, unaligned, lsx, lasx}
+ | c6c73e136a LoongArch: Replace deprecated $v0 with $a0 to eliminate 'as' Warnings.
+ | f5242db159 LoongArch: Add lasx/lsx support for _dl_runtime_profile.
+ | ... and 1 more commits in glibc
+ | 0a43fbaa23a arc: Fix alignment of the TLS Translation Control Block
+ | 5a6dafd5f11 gdb: small cleanup in symbol_file_add_with_addrs
+ | 7d9931cc31b gdb: add some missing filename styling
+ | 7c93730fe50 LoongArch: Enable gas sort relocs
+ | da5f9eb43fd x86: fold CpuLM and Cpu64
+ | ... and 9 more commits in gdb
PASS
You can find the failure logs in *.log.1.xz files in
- - https://ci.linaro.org/job/tcwg_gnu_native_check_gdb--master-aarch64-build/677/artifact/artifacts/00-sumfiles/ .
+ - https://ci.linaro.org/job/tcwg_gnu_native_check_gdb--master-aarch64-build/678/artifact/artifacts/00-sumfiles/ .
The full lists of regressions and progressions are in
- - https://ci.linaro.org/job/tcwg_gnu_native_check_gdb--master-aarch64-build/677/artifact/artifacts/notify/ .
+ - https://ci.linaro.org/job/tcwg_gnu_native_check_gdb--master-aarch64-build/678/artifact/artifacts/notify/ .
The list of [ignored] baseline and flaky failures are in
- - https://ci.linaro.org/job/tcwg_gnu_native_check_gdb--master-aarch64-build/677/artifact/artifacts/sumfiles/xfails.xfail .
+ - https://ci.linaro.org/job/tcwg_gnu_native_check_gdb--master-aarch64-build/678/artifact/artifacts/sumfiles/xfails.xfail .
The configuration of this build is:
CI config tcwg_gnu_native_check_gdb/master-aarch64
@@ -44,6 +49,6 @@ CI config tcwg_gnu_native_check_gdb/master-aarch64
-----------------8<--------------------------8<--------------------------8<--------------------------
The information below can be used to reproduce a debug environment:
-Current build : https://ci.linaro.org/job/tcwg_gnu_native_check_gdb--master-aarch64-build/677/artifact/artifacts
-Reference build : https://ci.linaro.org/job/tcwg_gnu_native_check_gdb--master-aarch64-build/676/artifact/artifacts
+Current build : https://ci.linaro.org/job/tcwg_gnu_native_check_gdb--master-aarch64-build/678/artifact/artifacts
+Reference build : https://ci.linaro.org/job/tcwg_gnu_native_check_gdb--master-aarch64-build/677/artifact/artifacts
diff --git a/notify/mail-subject.txt b/notify/mail-subject.txt
index c32b2bf..f1576bc 100644
--- a/notify/mail-subject.txt
+++ b/notify/mail-subject.txt
@@ -1 +1 @@
-[Linaro-TCWG-CI] 117 commits in binutils,gcc,linux,glibc,gdb: PASS on aarch64
+[Linaro-TCWG-CI] 111 commits in binutils,gcc,linux,glibc,gdb: PASS on aarch64
diff --git a/notify/results.compare b/notify/results.compare
index 24d880c..161dcd3 100644
--- a/notify/results.compare
+++ b/notify/results.compare
@@ -5,84 +5,134 @@
# Comparing 1 common sum files:
gdb.sum
Comparing:
-REFERENCE:/tmp/gxx-sum1.1961181
-CURRENT: /tmp/gxx-sum2.1961181
+REFERENCE:/tmp/gxx-sum1.1967557
+CURRENT: /tmp/gxx-sum2.1967557
+---------+---------+
o RUN STATUS: | REF | RES |
+------------------------------------------+---------+---------+
- | Passes [PASS] | 114343 | 114344 |
- | Unexpected fails [FAIL] | 38 | 38 |
+ | Passes [PASS] | 114344 | 114340 |
+ | Unexpected fails [FAIL] | 38 | 39 |
| Errors [ERROR] | 0 | 0 |
| Unexpected passes [XPASS] | 0 | 0 |
- | Expected fails [XFAIL] | 83 | 81 |
- | Known fails [KFAIL] | 123 | 124 |
+ | Expected fails [XFAIL] | 81 | 75 |
+ | Known fails [KFAIL] | 124 | 120 |
| Unresolved [UNRESOLVED] | 0 | 0 |
| Unsupported [UNSUPPORTED] | 457 | 457 |
| Untested [UNTESTED] | 36 | 36 |
+------------------------------------------+---------+---------+
- REF PASS ratio: 0.994317
- RES PASS ratio: 0.994308
+ REF PASS ratio: 0.994308
+ RES PASS ratio: 0.994334
***** WARNING: No REF execution test FAILed. Check execution engine configuration. *****
***** WARNING: No RES execution test FAILed. Check execution engine configuration. *****
o REGRESSIONS:
+------------------------------------------+---------+
- | KFAIL appears [ =>KFAIL] | 1 |
+ | PASS now FAIL [PASS => FAIL] | 1 |
+------------------------------------------+---------+
| TOTAL_REGRESSIONS | 1 |
+------------------------------------------+---------+
- - KFAIL appears [ =>KFAIL]:
+ - PASS now FAIL [PASS => FAIL]:
Executed from: gdb:gdb.base/step-over-syscall.exp
- gdb:gdb.base/step-over-syscall.exp=gdb.base/step-over-syscall.exp: clone: displaced=on: check_pc_after_cross_syscall: single step over clone final pc (PRMS: gdb/19675)
+ gdb:gdb.base/step-over-syscall.exp=gdb.base/step-over-syscall.exp: clone: displaced=off: single step over clone
o IMPROVEMENTS TO BE CHECKED:
+------------------------------------------+---------+
- | PASS disappears [PASS => ] | 3 |
- | New PASS [ => PASS] | 4 |
- | XFAIL disappears [XFAIL=> ] | 4 |
- | XFAIL appears [ =>XFAIL] | 2 |
+ | PASS disappears [PASS => ] | 25 |
+ | New PASS [ => PASS] | 22 |
+ | XFAIL disappears [XFAIL=> ] | 6 |
+ | KFAIL disappears [KFAIL=> ] | 4 |
+------------------------------------------+---------+
- | TOTAL_IMPROVEMENTS_TO_BE_CHECKED | 13 |
+ | TOTAL_IMPROVEMENTS_TO_BE_CHECKED | 57 |
+------------------------------------------+---------+
- PASS disappears [PASS => ]:
Executed from: gdb:gdb.base/step-over-syscall.exp
- gdb:gdb.base/step-over-syscall.exp=gdb.base/step-over-syscall.exp: clone: displaced=on: check_pc_after_cross_syscall: single step over clone final pc
- Executed from: gdb:gdb.threads/attach-many-short-lived-threads.exp
- gdb:gdb.threads/attach-many-short-lived-threads.exp=gdb.threads/attach-many-short-lived-threads.exp: iter 2: attach
- gdb:gdb.threads/attach-many-short-lived-threads.exp=gdb.threads/attach-many-short-lived-threads.exp: iter 6: attach
+ gdb:gdb.base/step-over-syscall.exp=gdb.base/step-over-syscall.exp: clone: displaced=off: break marker
+ gdb:gdb.base/step-over-syscall.exp=gdb.base/step-over-syscall.exp: clone: displaced=off: check_pc_after_cross_syscall: get hexadecimal valueof "$pc"
+ gdb:gdb.base/step-over-syscall.exp=gdb.base/step-over-syscall.exp: clone: displaced=off: check_pc_after_cross_syscall: single step over clone final pc
+ gdb:gdb.base/step-over-syscall.exp=gdb.base/step-over-syscall.exp: clone: displaced=off: continue to marker (clone)
+ gdb:gdb.base/step-over-syscall.exp=gdb.base/step-over-syscall.exp: clone: displaced=on: break *clone
+ gdb:gdb.base/step-over-syscall.exp=gdb.base/step-over-syscall.exp: clone: displaced=on: break marker
+ gdb:gdb.base/step-over-syscall.exp=gdb.base/step-over-syscall.exp: clone: displaced=on: break on syscall insns
+ gdb:gdb.base/step-over-syscall.exp=gdb.base/step-over-syscall.exp: clone: displaced=on: check_pc_after_cross_syscall: get hexadecimal valueof "$pc"
+ gdb:gdb.base/step-over-syscall.exp=gdb.base/step-over-syscall.exp: clone: displaced=on: continue to clone (1st time)
+ gdb:gdb.base/step-over-syscall.exp=gdb.base/step-over-syscall.exp: clone: displaced=on: continue to clone (2nd time)
+ gdb:gdb.base/step-over-syscall.exp=gdb.base/step-over-syscall.exp: clone: displaced=on: continue to clone (3rd time)
+ gdb:gdb.base/step-over-syscall.exp=gdb.base/step-over-syscall.exp: clone: displaced=on: continue to syscall insn clone
+ gdb:gdb.base/step-over-syscall.exp=gdb.base/step-over-syscall.exp: clone: displaced=on: delete break 1
+ gdb:gdb.base/step-over-syscall.exp=gdb.base/step-over-syscall.exp: clone: displaced=on: fetch first stop pc
+ gdb:gdb.base/step-over-syscall.exp=gdb.base/step-over-syscall.exp: clone: displaced=on: find syscall insn in clone
+ gdb:gdb.base/step-over-syscall.exp=gdb.base/step-over-syscall.exp: clone: displaced=on: get hexadecimal valueof "$pc"
+ gdb:gdb.base/step-over-syscall.exp=gdb.base/step-over-syscall.exp: clone: displaced=on: pc after stepi
+ gdb:gdb.base/step-over-syscall.exp=gdb.base/step-over-syscall.exp: clone: displaced=on: pc after stepi matches insn addr after syscall
+ gdb:gdb.base/step-over-syscall.exp=gdb.base/step-over-syscall.exp: clone: displaced=on: pc before/after syscall instruction
+ gdb:gdb.base/step-over-syscall.exp=gdb.base/step-over-syscall.exp: clone: displaced=on: set displaced-stepping off during test setup
+ gdb:gdb.base/step-over-syscall.exp=gdb.base/step-over-syscall.exp: clone: displaced=on: set displaced-stepping on
+ gdb:gdb.base/step-over-syscall.exp=gdb.base/step-over-syscall.exp: clone: displaced=on: single step over clone
+ gdb:gdb.base/step-over-syscall.exp=gdb.base/step-over-syscall.exp: clone: displaced=on: stepi clone insn
+ gdb:gdb.base/step-over-syscall.exp=gdb.base/step-over-syscall.exp: clone: displaced=on: syscall number matches
+ Executed from: gdb:gdb.mi/mi-dprintf.exp
+ gdb:gdb.mi/mi-dprintf.exp=gdb.mi/mi-dprintf.exp: mi set dprintf-channel stderr
- New PASS [ => PASS]:
+ Executed from: gdb:gdb.ada/huge.exp
+ gdb:gdb.ada/huge.exp=gdb.ada/huge.exp: maint set per-command space on
+ gdb:gdb.ada/huge.exp=gdb.ada/huge.exp: not too much space used
+ gdb:gdb.ada/huge.exp=gdb.ada/huge.exp: print a very large data object
+ gdb:gdb.ada/huge.exp=gdb.ada/huge.exp: set max-value-size unlimited
+ Executed from: gdb:gdb.base/huge.exp
+ gdb:gdb.base/huge.exp=gdb.base/huge.exp: maint set per-command space on
+ gdb:gdb.base/huge.exp=gdb.base/huge.exp: not too much space used
+ Executed from: gdb:gdb.fortran/huge.exp
+ gdb:gdb.fortran/huge.exp=gdb.fortran/huge.exp: maint set per-command space on
+ gdb:gdb.fortran/huge.exp=gdb.fortran/huge.exp: not too much space used
+ gdb:gdb.fortran/huge.exp=gdb.fortran/huge.exp: print a very large data object
+ gdb:gdb.fortran/huge.exp=gdb.fortran/huge.exp: set max-value-size unlimited
+ gdb:gdb.fortran/huge.exp=gdb.fortran/huge.exp: set print elements unlimited
+ Executed from: gdb:gdb.mi/mi-dprintf.exp
+ gdb:gdb.mi/mi-dprintf.exp=gdb.mi/mi-dprintf.exp: mi set dprintf function
Executed from: gdb:gdb.threads/attach-many-short-lived-threads.exp
- gdb:gdb.threads/attach-many-short-lived-threads.exp=gdb.threads/attach-many-short-lived-threads.exp: iter 10: attach
- gdb:gdb.threads/attach-many-short-lived-threads.exp=gdb.threads/attach-many-short-lived-threads.exp: iter 1: attach
- gdb:gdb.threads/attach-many-short-lived-threads.exp=gdb.threads/attach-many-short-lived-threads.exp: iter 4: attach
- gdb:gdb.threads/attach-many-short-lived-threads.exp=gdb.threads/attach-many-short-lived-threads.exp: iter 9: attach
+ gdb:gdb.threads/attach-many-short-lived-threads.exp=gdb.threads/attach-many-short-lived-threads.exp: iter 2: attach
+ gdb:gdb.threads/attach-many-short-lived-threads.exp=gdb.threads/attach-many-short-lived-threads.exp: iter 3: attach
+ gdb:gdb.threads/attach-many-short-lived-threads.exp=gdb.threads/attach-many-short-lived-threads.exp: iter 5: attach
+ gdb:gdb.threads/attach-many-short-lived-threads.exp=gdb.threads/attach-many-short-lived-threads.exp: iter 6: attach
+ gdb:gdb.threads/attach-many-short-lived-threads.exp=gdb.threads/attach-many-short-lived-threads.exp: iter 7: attach
+ gdb:gdb.threads/attach-many-short-lived-threads.exp=gdb.threads/attach-many-short-lived-threads.exp: iter 8: attach
+ Executed from: gdb:gdb.threads/process-dies-while-handling-bp.exp
+ gdb:gdb.threads/process-dies-while-handling-bp.exp=gdb.threads/process-dies-while-handling-bp.exp: non_stop=on: cond_bp_target=0: inferior 1 exited
+ gdb:gdb.threads/process-dies-while-handling-bp.exp=gdb.threads/process-dies-while-handling-bp.exp: non_stop=on: cond_bp_target=0: no threads left
+ gdb:gdb.threads/process-dies-while-handling-bp.exp=gdb.threads/process-dies-while-handling-bp.exp: non_stop=on: cond_bp_target=1: inferior 1 exited
+ gdb:gdb.threads/process-dies-while-handling-bp.exp=gdb.threads/process-dies-while-handling-bp.exp: non_stop=on: cond_bp_target=1: no threads left
- XFAIL disappears [XFAIL=> ]:
Executed from: gdb:gdb.threads/attach-many-short-lived-threads.exp
- gdb:gdb.threads/attach-many-short-lived-threads.exp=gdb.threads/attach-many-short-lived-threads.exp: iter 10: attach (EPERM)
- gdb:gdb.threads/attach-many-short-lived-threads.exp=gdb.threads/attach-many-short-lived-threads.exp: iter 1: attach (EPERM)
- gdb:gdb.threads/attach-many-short-lived-threads.exp=gdb.threads/attach-many-short-lived-threads.exp: iter 4: attach (EPERM)
- gdb:gdb.threads/attach-many-short-lived-threads.exp=gdb.threads/attach-many-short-lived-threads.exp: iter 9: attach (EPERM)
+ gdb:gdb.threads/attach-many-short-lived-threads.exp=gdb.threads/attach-many-short-lived-threads.exp: iter 2: attach (EPERM)
+ gdb:gdb.threads/attach-many-short-lived-threads.exp=gdb.threads/attach-many-short-lived-threads.exp: iter 3: attach (EPERM)
+ gdb:gdb.threads/attach-many-short-lived-threads.exp=gdb.threads/attach-many-short-lived-threads.exp: iter 5: attach (EPERM)
+ gdb:gdb.threads/attach-many-short-lived-threads.exp=gdb.threads/attach-many-short-lived-threads.exp: iter 6: attach (EPERM)
+ gdb:gdb.threads/attach-many-short-lived-threads.exp=gdb.threads/attach-many-short-lived-threads.exp: iter 7: attach (EPERM)
+ gdb:gdb.threads/attach-many-short-lived-threads.exp=gdb.threads/attach-many-short-lived-threads.exp: iter 8: attach (EPERM)
- - XFAIL appears [ =>XFAIL]:
+ - KFAIL disappears [KFAIL=> ]:
- Executed from: gdb:gdb.threads/attach-many-short-lived-threads.exp
- gdb:gdb.threads/attach-many-short-lived-threads.exp=gdb.threads/attach-many-short-lived-threads.exp: iter 2: attach (EPERM)
- gdb:gdb.threads/attach-many-short-lived-threads.exp=gdb.threads/attach-many-short-lived-threads.exp: iter 6: attach (EPERM)
+ Executed from: gdb:gdb.base/step-over-syscall.exp
+ gdb:gdb.base/step-over-syscall.exp=gdb.base/step-over-syscall.exp: clone: displaced=on: check_pc_after_cross_syscall: single step over clone final pc (PRMS: gdb/19675)
+ gdb:gdb.base/step-over-syscall.exp=gdb.base/step-over-syscall.exp: clone: displaced=on: continue to marker (clone) (PRMS: gdb/19675)
+ Executed from: gdb:gdb.threads/process-dies-while-handling-bp.exp
+ gdb:gdb.threads/process-dies-while-handling-bp.exp=gdb.threads/process-dies-while-handling-bp.exp: non_stop=on: cond_bp_target=0: inferior 1 exited (prompt) (PRMS: gdb/18749)
+ gdb:gdb.threads/process-dies-while-handling-bp.exp=gdb.threads/process-dies-while-handling-bp.exp: non_stop=on: cond_bp_target=1: inferior 1 exited (prompt) (PRMS: gdb/18749)
diff --git a/sumfiles/flaky.xfail b/sumfiles/flaky.xfail
new file mode 100644
index 0000000..a137b06
--- /dev/null
+++ b/sumfiles/flaky.xfail
@@ -0,0 +1,7 @@
+# From https://ci.linaro.org/job/tcwg_gnu_native_check_gdb--master-aarch64-build/678/:
+ === gdb tests ===
+
+Running gdb:gdb.threads/signal-command-handle-nopass.exp ...
+flaky,expire=20231027 | FAIL: gdb.threads/signal-command-handle-nopass.exp: step-over yes: signal SIGUSR1
+
+ === Results Summary ===
diff --git a/sumfiles/gdb.sum b/sumfiles/gdb.sum
index c27329b..4d870d4 100644
--- a/sumfiles/gdb.sum
+++ b/sumfiles/gdb.sum
@@ -1,3 +1,7 @@
+Note: This is a synthetic sum file generated by merging the sum files of
+ several testsuite runs. To investigate test results, refer to the
+ original sum and log files.
+
Native configuration is aarch64-unknown-linux-gnu
=== gdb tests ===
@@ -837,6 +841,11 @@ PASS: gdb.ada/homonym.exp: ptype local_type_subtype at BREAK_2
PASS: gdb.ada/homonym.exp: set breakpoint at <homonym__get_value>
PASS: gdb.ada/homonym.exp: set breakpoint at Get_Value
PASS: gdb.ada/homonym.exp: set breakpoint at homonym.adb:Get_Value
+Running gdb.git~master/gdb/testsuite/gdb.ada/huge.exp ...
+PASS: gdb.ada/huge.exp: maint set per-command space on
+PASS: gdb.ada/huge.exp: not too much space used
+PASS: gdb.ada/huge.exp: print a very large data object
+PASS: gdb.ada/huge.exp: set max-value-size unlimited
Running gdb.git~master/gdb/testsuite/gdb.ada/import.exp ...
PASS: gdb.ada/import.exp: compilation prog.adb
PASS: gdb.ada/import.exp: gdb_breakpoint: set breakpoint at exported_func
@@ -18869,6 +18878,8 @@ PASS: gdb.base/hook-stop.exp: hook-stop runs next: breakpoint line number
PASS: gdb.base/hook-stop.exp: hook-stop runs next: define hook-stop command
PASS: gdb.base/hook-stop.exp: hook-stop runs next: run hook-stop
Running gdb.git~master/gdb/testsuite/gdb.base/huge.exp ...
+PASS: gdb.base/huge.exp: maint set per-command space on
+PASS: gdb.base/huge.exp: not too much space used
PASS: gdb.base/huge.exp: print a very large data object
PASS: gdb.base/huge.exp: set max-value-size unlimited
Running gdb.git~master/gdb/testsuite/gdb.base/hw-sw-break-same-address.exp ...
@@ -45252,14 +45263,10 @@ PASS: gdb.base/step-over-no-symbols.exp: displaced=on: set displaced-stepping on
PASS: gdb.base/step-over-no-symbols.exp: displaced=on: stepi
Running gdb.git~master/gdb/testsuite/gdb.base/step-over-syscall.exp ...
PASS: gdb.base/step-over-syscall.exp: clone: displaced=off: break *clone
-PASS: gdb.base/step-over-syscall.exp: clone: displaced=off: break marker
PASS: gdb.base/step-over-syscall.exp: clone: displaced=off: break on syscall insns
-PASS: gdb.base/step-over-syscall.exp: clone: displaced=off: check_pc_after_cross_syscall: get hexadecimal valueof "$pc"
-PASS: gdb.base/step-over-syscall.exp: clone: displaced=off: check_pc_after_cross_syscall: single step over clone final pc
PASS: gdb.base/step-over-syscall.exp: clone: displaced=off: continue to clone (1st time)
PASS: gdb.base/step-over-syscall.exp: clone: displaced=off: continue to clone (2nd time)
PASS: gdb.base/step-over-syscall.exp: clone: displaced=off: continue to clone (3rd time)
-PASS: gdb.base/step-over-syscall.exp: clone: displaced=off: continue to marker (clone)
PASS: gdb.base/step-over-syscall.exp: clone: displaced=off: continue to syscall insn clone
PASS: gdb.base/step-over-syscall.exp: clone: displaced=off: delete break 1
PASS: gdb.base/step-over-syscall.exp: clone: displaced=off: fetch first stop pc
@@ -45270,31 +45277,9 @@ PASS: gdb.base/step-over-syscall.exp: clone: displaced=off: pc after stepi match
PASS: gdb.base/step-over-syscall.exp: clone: displaced=off: pc before/after syscall instruction
PASS: gdb.base/step-over-syscall.exp: clone: displaced=off: set displaced-stepping off
PASS: gdb.base/step-over-syscall.exp: clone: displaced=off: set displaced-stepping off during test setup
-PASS: gdb.base/step-over-syscall.exp: clone: displaced=off: single step over clone
+FAIL: gdb.base/step-over-syscall.exp: clone: displaced=off: single step over clone
PASS: gdb.base/step-over-syscall.exp: clone: displaced=off: stepi clone insn
PASS: gdb.base/step-over-syscall.exp: clone: displaced=off: syscall number matches
-PASS: gdb.base/step-over-syscall.exp: clone: displaced=on: break *clone
-PASS: gdb.base/step-over-syscall.exp: clone: displaced=on: break marker
-PASS: gdb.base/step-over-syscall.exp: clone: displaced=on: break on syscall insns
-PASS: gdb.base/step-over-syscall.exp: clone: displaced=on: check_pc_after_cross_syscall: get hexadecimal valueof "$pc"
-KFAIL: gdb.base/step-over-syscall.exp: clone: displaced=on: check_pc_after_cross_syscall: single step over clone final pc (PRMS: gdb/19675)
-PASS: gdb.base/step-over-syscall.exp: clone: displaced=on: continue to clone (1st time)
-PASS: gdb.base/step-over-syscall.exp: clone: displaced=on: continue to clone (2nd time)
-PASS: gdb.base/step-over-syscall.exp: clone: displaced=on: continue to clone (3rd time)
-KFAIL: gdb.base/step-over-syscall.exp: clone: displaced=on: continue to marker (clone) (PRMS: gdb/19675)
-PASS: gdb.base/step-over-syscall.exp: clone: displaced=on: continue to syscall insn clone
-PASS: gdb.base/step-over-syscall.exp: clone: displaced=on: delete break 1
-PASS: gdb.base/step-over-syscall.exp: clone: displaced=on: fetch first stop pc
-PASS: gdb.base/step-over-syscall.exp: clone: displaced=on: find syscall insn in clone
-PASS: gdb.base/step-over-syscall.exp: clone: displaced=on: get hexadecimal valueof "$pc"
-PASS: gdb.base/step-over-syscall.exp: clone: displaced=on: pc after stepi
-PASS: gdb.base/step-over-syscall.exp: clone: displaced=on: pc after stepi matches insn addr after syscall
-PASS: gdb.base/step-over-syscall.exp: clone: displaced=on: pc before/after syscall instruction
-PASS: gdb.base/step-over-syscall.exp: clone: displaced=on: set displaced-stepping off during test setup
-PASS: gdb.base/step-over-syscall.exp: clone: displaced=on: set displaced-stepping on
-PASS: gdb.base/step-over-syscall.exp: clone: displaced=on: single step over clone
-PASS: gdb.base/step-over-syscall.exp: clone: displaced=on: stepi clone insn
-PASS: gdb.base/step-over-syscall.exp: clone: displaced=on: syscall number matches
PASS: gdb.base/step-over-syscall.exp: clone: successfully compiled posix threads test case
PASS: gdb.base/step-over-syscall.exp: fork: displaced=off: break *fork
PASS: gdb.base/step-over-syscall.exp: fork: displaced=off: break marker
@@ -71991,6 +71976,12 @@ KFAIL: gdb.fortran/function-calls.exp: p sum_some(1,2) (PRMS: gdb/24147)
PASS: gdb.fortran/function-calls.exp: p sum_some(1,2,3)
PASS: gdb.fortran/function-calls.exp: set $var = .FALSE.
PASS: gdb.fortran/function-calls.exp: set unwindonsignal on
+Running gdb.git~master/gdb/testsuite/gdb.fortran/huge.exp ...
+PASS: gdb.fortran/huge.exp: maint set per-command space on
+PASS: gdb.fortran/huge.exp: not too much space used
+PASS: gdb.fortran/huge.exp: print a very large data object
+PASS: gdb.fortran/huge.exp: set max-value-size unlimited
+PASS: gdb.fortran/huge.exp: set print elements unlimited
Running gdb.git~master/gdb/testsuite/gdb.fortran/info-main.exp ...
PASS: gdb.fortran/info-main.exp: info main post start
PASS: gdb.fortran/info-main.exp: info main prior to start
@@ -87292,9 +87283,9 @@ PASS: gdb.mi/mi-dprintf.exp: mi insert second breakpoint without format string
PASS: gdb.mi/mi-dprintf.exp: mi insert without location
PASS: gdb.mi/mi-dprintf.exp: mi runto main
PASS: gdb.mi/mi-dprintf.exp: mi set dprintf channel
+PASS: gdb.mi/mi-dprintf.exp: mi set dprintf function
PASS: gdb.mi/mi-dprintf.exp: mi set dprintf style to an unrecognized type
PASS: gdb.mi/mi-dprintf.exp: mi set dprintf style to call
-PASS: gdb.mi/mi-dprintf.exp: mi set dprintf-channel stderr
UNSUPPORTED: gdb.mi/mi-dprintf.exp: set dprintf style to agent
Running gdb.git~master/gdb/testsuite/gdb.mi/mi-editing.exp ...
PASS: gdb.mi/mi-editing.exp: -interpreter-exec console "set editing on"
@@ -107793,7 +107784,7 @@ PASS: gdb.threads/attach-many-short-lived-threads.exp: iter 1: print seconds_lef
PASS: gdb.threads/attach-many-short-lived-threads.exp: iter 1: reset timer in the inferior
PASS: gdb.threads/attach-many-short-lived-threads.exp: iter 1: set breakpoint always-inserted off
PASS: gdb.threads/attach-many-short-lived-threads.exp: iter 1: set breakpoint always-inserted on
-XFAIL: gdb.threads/attach-many-short-lived-threads.exp: iter 2: attach (EPERM)
+PASS: gdb.threads/attach-many-short-lived-threads.exp: iter 2: attach
PASS: gdb.threads/attach-many-short-lived-threads.exp: iter 2: break at break_fn: 1
PASS: gdb.threads/attach-many-short-lived-threads.exp: iter 2: break at break_fn: 2
PASS: gdb.threads/attach-many-short-lived-threads.exp: iter 2: break at break_fn: 3
@@ -107804,7 +107795,7 @@ PASS: gdb.threads/attach-many-short-lived-threads.exp: iter 2: print seconds_lef
PASS: gdb.threads/attach-many-short-lived-threads.exp: iter 2: reset timer in the inferior
PASS: gdb.threads/attach-many-short-lived-threads.exp: iter 2: set breakpoint always-inserted off
PASS: gdb.threads/attach-many-short-lived-threads.exp: iter 2: set breakpoint always-inserted on
-XFAIL: gdb.threads/attach-many-short-lived-threads.exp: iter 3: attach (EPERM)
+PASS: gdb.threads/attach-many-short-lived-threads.exp: iter 3: attach
PASS: gdb.threads/attach-many-short-lived-threads.exp: iter 3: break at break_fn: 1
PASS: gdb.threads/attach-many-short-lived-threads.exp: iter 3: break at break_fn: 2
PASS: gdb.threads/attach-many-short-lived-threads.exp: iter 3: break at break_fn: 3
@@ -107826,7 +107817,7 @@ PASS: gdb.threads/attach-many-short-lived-threads.exp: iter 4: print seconds_lef
PASS: gdb.threads/attach-many-short-lived-threads.exp: iter 4: reset timer in the inferior
PASS: gdb.threads/attach-many-short-lived-threads.exp: iter 4: set breakpoint always-inserted off
PASS: gdb.threads/attach-many-short-lived-threads.exp: iter 4: set breakpoint always-inserted on
-XFAIL: gdb.threads/attach-many-short-lived-threads.exp: iter 5: attach (EPERM)
+PASS: gdb.threads/attach-many-short-lived-threads.exp: iter 5: attach
PASS: gdb.threads/attach-many-short-lived-threads.exp: iter 5: break at break_fn: 1
PASS: gdb.threads/attach-many-short-lived-threads.exp: iter 5: break at break_fn: 2
PASS: gdb.threads/attach-many-short-lived-threads.exp: iter 5: break at break_fn: 3
@@ -107837,7 +107828,7 @@ PASS: gdb.threads/attach-many-short-lived-threads.exp: iter 5: print seconds_lef
PASS: gdb.threads/attach-many-short-lived-threads.exp: iter 5: reset timer in the inferior
PASS: gdb.threads/attach-many-short-lived-threads.exp: iter 5: set breakpoint always-inserted off
PASS: gdb.threads/attach-many-short-lived-threads.exp: iter 5: set breakpoint always-inserted on
-XFAIL: gdb.threads/attach-many-short-lived-threads.exp: iter 6: attach (EPERM)
+PASS: gdb.threads/attach-many-short-lived-threads.exp: iter 6: attach
PASS: gdb.threads/attach-many-short-lived-threads.exp: iter 6: break at break_fn: 1
PASS: gdb.threads/attach-many-short-lived-threads.exp: iter 6: break at break_fn: 2
PASS: gdb.threads/attach-many-short-lived-threads.exp: iter 6: break at break_fn: 3
@@ -107848,7 +107839,7 @@ PASS: gdb.threads/attach-many-short-lived-threads.exp: iter 6: print seconds_lef
PASS: gdb.threads/attach-many-short-lived-threads.exp: iter 6: reset timer in the inferior
PASS: gdb.threads/attach-many-short-lived-threads.exp: iter 6: set breakpoint always-inserted off
PASS: gdb.threads/attach-many-short-lived-threads.exp: iter 6: set breakpoint always-inserted on
-XFAIL: gdb.threads/attach-many-short-lived-threads.exp: iter 7: attach (EPERM)
+PASS: gdb.threads/attach-many-short-lived-threads.exp: iter 7: attach
PASS: gdb.threads/attach-many-short-lived-threads.exp: iter 7: break at break_fn: 1
PASS: gdb.threads/attach-many-short-lived-threads.exp: iter 7: break at break_fn: 2
PASS: gdb.threads/attach-many-short-lived-threads.exp: iter 7: break at break_fn: 3
@@ -107859,7 +107850,7 @@ PASS: gdb.threads/attach-many-short-lived-threads.exp: iter 7: print seconds_lef
PASS: gdb.threads/attach-many-short-lived-threads.exp: iter 7: reset timer in the inferior
PASS: gdb.threads/attach-many-short-lived-threads.exp: iter 7: set breakpoint always-inserted off
PASS: gdb.threads/attach-many-short-lived-threads.exp: iter 7: set breakpoint always-inserted on
-XFAIL: gdb.threads/attach-many-short-lived-threads.exp: iter 8: attach (EPERM)
+PASS: gdb.threads/attach-many-short-lived-threads.exp: iter 8: attach
PASS: gdb.threads/attach-many-short-lived-threads.exp: iter 8: break at break_fn: 1
PASS: gdb.threads/attach-many-short-lived-threads.exp: iter 8: break at break_fn: 2
PASS: gdb.threads/attach-many-short-lived-threads.exp: iter 8: break at break_fn: 3
@@ -114657,11 +114648,13 @@ KFAIL: gdb.threads/process-dies-while-handling-bp.exp: non_stop=off: cond_bp_tar
PASS: gdb.threads/process-dies-while-handling-bp.exp: non_stop=off: cond_bp_target=1: probe for target remote
PASS: gdb.threads/process-dies-while-handling-bp.exp: non_stop=off: cond_bp_target=1: set breakpoint that evals false
PASS: gdb.threads/process-dies-while-handling-bp.exp: non_stop=on: cond_bp_target=0: continue &
-KFAIL: gdb.threads/process-dies-while-handling-bp.exp: non_stop=on: cond_bp_target=0: inferior 1 exited (prompt) (PRMS: gdb/18749)
+PASS: gdb.threads/process-dies-while-handling-bp.exp: non_stop=on: cond_bp_target=0: inferior 1 exited
+PASS: gdb.threads/process-dies-while-handling-bp.exp: non_stop=on: cond_bp_target=0: no threads left
PASS: gdb.threads/process-dies-while-handling-bp.exp: non_stop=on: cond_bp_target=0: probe for target remote
PASS: gdb.threads/process-dies-while-handling-bp.exp: non_stop=on: cond_bp_target=0: set breakpoint that evals false
PASS: gdb.threads/process-dies-while-handling-bp.exp: non_stop=on: cond_bp_target=1: continue &
-KFAIL: gdb.threads/process-dies-while-handling-bp.exp: non_stop=on: cond_bp_target=1: inferior 1 exited (prompt) (PRMS: gdb/18749)
+PASS: gdb.threads/process-dies-while-handling-bp.exp: non_stop=on: cond_bp_target=1: inferior 1 exited
+PASS: gdb.threads/process-dies-while-handling-bp.exp: non_stop=on: cond_bp_target=1: no threads left
PASS: gdb.threads/process-dies-while-handling-bp.exp: non_stop=on: cond_bp_target=1: probe for target remote
PASS: gdb.threads/process-dies-while-handling-bp.exp: non_stop=on: cond_bp_target=1: set breakpoint that evals false
PASS: gdb.threads/process-dies-while-handling-bp.exp: successfully compiled posix threads test case
@@ -117369,12 +117362,12 @@ PASS: gdb.xml/tdesc-xinclude.exp: set tdesc filename gdb.xml/loop.xml
=== gdb Summary ===
# of unexpected core files 1
-# of expected passes 114344
-# of unexpected failures 38
-# of expected failures 81
-# of known failures 124
+# of expected passes 114340
+# of unexpected failures 39
+# of expected failures 75
+# of known failures 120
# of untested testcases 36
# of unsupported tests 457
# of duplicate test names 3
-/home/tcwg-buildslave/workspace/tcwg_gnu_1/abe/builds/aarch64-unknown-linux-gnu/aarch64-unknown-linux-gnu/gdb-gdb.git~master/gdb/gdb version 14.0.50.20230914-git -nw -nx -q -iex "set height 0" -iex "set width 0" -data-directory /home/tcwg-buildslave/workspace/tcwg_gnu_1/abe/builds/aarch64-unknown-linux-gnu/aarch64-unknown-linux-gnu/gdb-gdb.git~master/gdb/data-directory
+/home/tcwg-buildslave/workspace/tcwg_gnu_2/abe/builds/aarch64-unknown-linux-gnu/aarch64-unknown-linux-gnu/gdb-gdb.git~master/gdb/gdb version 14.0.50.20230915-git -nw -nx -q -iex "set height 0" -iex "set width 0" -data-directory /home/tcwg-buildslave/workspace/tcwg_gnu_2/abe/builds/aarch64-unknown-linux-gnu/aarch64-unknown-linux-gnu/gdb-gdb.git~master/gdb/data-directory
diff --git a/sumfiles/xfails.xfail b/sumfiles/xfails.xfail
index 484bdee..abcdc7a 100644
--- a/sumfiles/xfails.xfail
+++ b/sumfiles/xfails.xfail
@@ -3,6 +3,14 @@
# - known flaky tests (from baseline)
# - known failures (from baseline)
#
+# New flaky tests
+# From https://ci.linaro.org/job/tcwg_gnu_native_check_gdb--master-aarch64-build/678/:
+ === gdb tests ===
+
+Running gdb:gdb.threads/signal-command-handle-nopass.exp ...
+flaky,expire=20231027 | FAIL: gdb.threads/signal-command-handle-nopass.exp: step-over yes: signal SIGUSR1
+
+ === Results Summary ===
# Known flaky tests
# From https://ci.linaro.org/job/tcwg_gnu_native_check_gdb--master-aarch64-build/674/: